<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" id="networkPanel" width="100%">
<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                rendered="#{!vios_pagecode.ethAdapterPanelOpen}"/>
                
<hx:panelSection id="virtualEthernetPanelSection" styleClass="panelSectionDPSMWide"
			title="#{msg.VIRTUAL_ETHERNET_HEADER_TEXT}" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="id5">
				<hx:graphicImageEx id="id6" align="middle" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="vtext1" value="#{msg.VIRTUAL_ETHERNET_HEADER_TEXT}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id3">
				<hx:graphicImageEx id="id4" align="middle" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext2" value="#{msg.VIRTUAL_ETHERNET_HEADER_TEXT}"/>	
				</hx:jspPanel>
			</f:facet>
			
			<hx:panelDialog id="createAdapterPanelDialog" rendered="false">						
				</hx:panelDialog>
		
		<hx:ajaxRefreshSubmit id="vethsortRefresh" />

		<hx:commandExButton value="" action="#{vios_pagecode.sortVEthTable}" style="display : none" id="vethsortbutton">
							<hx:behavior event="onclick" targetAction="vethernettablewrapperPanel" behaviorAction="get;stop" target="vethsortbutton"/>	
			</hx:commandExButton>
			
			<h:inputText value="#{vios_pagecode.sortColumnId}" style="display : none" id="vethSortColumn"/>		
		
		<h:panelGrid id="virtualEthernetPanel" border="0" cellpadding="0" cellspacing="0" width="#{vios_pagecode.vethernetTblWidth}">
		
		<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,
		wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="toolbarTable" 
		columns="6" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{vios_pagecode.renderEthernetTable}">
		
		<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
						
		<hx:commandExButton styleClass="wclTableButton" id="addadapterid"
			action="#{vios_pagecode.createEthernetAdapter}"
			value="#{msg.ADD_ADAPTER_LBL}">
			<hx:behavior event="onclick" targetAction="networkPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
				
		<hx:commandExButton styleClass="wclTableButton" id="editadapterid"
			action="#{vios_pagecode.editEthernetAdapter}"
			value="#{msg.EDIT_ADAPTER_LBL}">
			<hx:behavior event="onclick" targetAction="networkPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
		<hx:commandExButton styleClass="wclTableButton" id="deleteadapterid"
						action="#{vios_pagecode.deleteEthernetAdapter}" styleClass="commandExButton" type="submit" value="#{msg.DELETE_ADAPTER_LBL}">
						<hx:behavior event="onclick" targetAction="virtualEthernetPanel" behaviorAction="get;stop"/>
						</hx:commandExButton>
				
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
		</h:panelGrid>
		
		
		<h:panelGrid id="vethernettablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{vios_pagecode.renderEthernetTable}">		
		
		<hx:dataTableEx id="ethernetTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{vios_pagecode.vethernetDetails}"
					var="adapterslist" width="100%" scrollSize="#{vios_pagecode.vethTblScrollSize}">
					
					<hx:columnEx id="eth_adaptersSelectcolumn" style="text-align: center;width: 15%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">							
							<usmc:outputLabel styleClass="outputLabel"
								id="eth_adaptersSelectlabel" for="eth_adapters_select"
								value="#{msg.select}" />
							</h:panelGrid>	
						</f:facet>
						<h:selectBooleanCheckbox value="#{adapterslist.selected}" onclick="handleTableRowTaskSelection('createServer_form:createsvrwizard:AssignEthernetPanel:ethernetTable',true,
						'createServer_form:createsvrwizard:AssignEthernetPanel:editadapterid','createServer_form:createsvrwizard:AssignEthernetPanel:deleteadapterid');"/>
					</hx:columnEx>

					<hx:columnEx id="ethAdapNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel styleClass="outputLabel"
								id="eth_adaptersidlabel" for="eth_adaptersid_id"
								value="#{msg.adapter}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:vethsortbutton','ethAdapNameCol','createServer_form:createsvrwizard:AssignEthernetPanel:vethSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						
						<h:outputLink onclick ="return dispatchRequest(this);">
							<h:outputText value="#{adapterslist.adapterId}"/>
						</h:outputLink>							
						<hx:commandExButton value="#{adapterslist.adapterId}" action="#{vios_pagecode.editEthernetAdapter}" actionListener="#{vios_pagecode.editActionListenerEthAdap}" style="display : none">
							<hx:behavior event="onclick" targetAction="networkPanel" behaviorAction="get;stop"/>	
						</hx:commandExButton>						
					</hx:columnEx>

					<hx:columnEx id="eth_adapterscolumn" style="width: 50%">
						<f:facet name="header">
							<usmc:outputLabel styleClass="outputLabel" id="eth_adapterslabel"
								for="eth_adapters_port" value="#{msg.virtulEthernetPort}" />
						</f:facet>
						<h:selectOneMenu id="eth_adapters_port"
							value="#{adapterslist.pvid}" style="min-width:150px">
							<f:selectItems value="#{vios_pagecode.portVLan}" />
						</h:selectOneMenu>
					</hx:columnEx>

					<hx:columnEx id="ethBridgeCol" rendered="#{ct_vs_pagecode.viosEnv}">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel id="eth_adaptersbridgelabel"
								styleClass="outputLabel" for="eth_adaptersbridgeid"
								value="#{msg.virtualEthernetBridge}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:vethsortbutton','ethBridgeCol','createServer_form:createsvrwizard:AssignEthernetPanel:vethSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{adapterslist.bridgeString}"/>
					</hx:columnEx>

					<hx:columnEx id="ethPriorityCol" rendered="#{ct_vs_pagecode.viosEnv}">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="eth_adaptersprioritylabel"
								styleClass="outputLabel" for="eth_adapterspriorityid"
								value="#{msg.virtualEthernetPriority}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:vethsortbutton','ethPriorityCol','createServer_form:createsvrwizard:AssignEthernetPanel:vethSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{adapterslist.priority}" />
					</hx:columnEx>

				</hx:dataTableEx>
			
			</h:panelGrid>	
			
			<exfaces:script type="text/javascript" value="alignCol('createServer_form:createsvrwizard:AssignEthernetPanel:ethernetTable');" 
			rendered="#{vios_pagecode.ethTblScrollable}"/>
			
			<h:outputText value="#{msg.ETH_ADAP_EMPTY_TEXT}" rendered="#{!vios_pagecode.renderEthernetTable}"/>
			<hx:commandExButton styleClass="buttonRegular" id="createadapterid"
			action="#{vios_pagecode.createEthernetAdapter}"
			value="#{msg.CREATE_ADAPTER_LBL}" rendered="#{!vios_pagecode.renderEthernetTable}">
			<hx:behavior event="onclick" targetAction="networkPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
			<exfaces:script rendered="#{vios_pagecode.renderEthernetTable}" type="text/javascript" 
			value="handleTableRowTaskSelection('createServer_form:createsvrwizard:AssignEthernetPanel:ethernetTable',true,
						'createServer_form:createsvrwizard:AssignEthernetPanel:editadapterid','createServer_form:createsvrwizard:AssignEthernetPanel:deleteadapterid');"/>				
				
			</h:panelGrid>		
		
		</hx:panelSection>
		
		<h:outputText id="escapeText" value="<P>" escape="false"/>
		
	<hx:panelSection id="id7" styleClass="panelSectionDPSMWide" title="#{msg.HEA_HEADER_TEXT}" initClosed="false" rendered="#{adapter_cs_pagecode.renderHEAPanel}">
			<f:facet name="closed">
			<hx:jspPanel id="id10">
				<hx:graphicImageEx id="id11" styleClass="graphicImageEx"
						align="middle" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="text2" value="#{msg.HEA_HEADER_TEXT}"></h:outputText>	
				</hx:jspPanel>				
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id8">
				 <hx:graphicImageEx id="id9" align="middle" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="text1" value="#{msg.HEA_HEADER_TEXT}">
						</h:outputText>							
				</hx:jspPanel>
			</f:facet>
			<h:panelGrid>
				<h:outputText value="#{msg.HEA_PANEL_TEXT}"/>
			 </h:panelGrid>
		
					 
		<h:panelGrid id="heatableid" width="70%">
		
		<hx:ajaxRefreshSubmit id="heasortRefresh" />

		<hx:commandExButton value="" action="#{adapter_cs_pagecode.sortHEATable}" style="display : none" id="heasortbutton">
							<hx:behavior event="onclick" targetAction="heatablewrapperPanel" behaviorAction="get;stop" target="heasortbutton"/>	
			</hx:commandExButton>
			
			<h:inputText value="#{adapter_cs_pagecode.sortCurrColumn}" style="display : none" id="heaSortColumn"/>
			
		<h:panelGrid id="heatablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">						
		
		<hx:dataTableEx border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2"
					id="heatable" styleClass="newFaceDataTable"
					value="#{adapter_cs_pagecode.heaDetials}"
					var="hea_adapterslist" width="100%" scrollSize="#{adapter_cs_pagecode.heatblScrollSize}">
					
					<hx:columnEx id="hea_adapters_selectcolumn" style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel id="hea_adapters_selectlabel" styleClass="outputLabel" for="hea_adapters_select_id" value="#{msg.select}"/>
						</h:panelGrid>
						</f:facet>
						<h:selectBooleanCheckbox id="hea_adapters_select_id" value="#{hea_adapterslist.selected}" onclick="handleTableRowSelection('createServer_form:createsvrwizard:AssignEthernetPanel:heatable');" 
						disabled="#{!hea_adapterslist.connectionsAvailable}"/>
					</hx:columnEx>
					
					<hx:columnEx id="heaAdapNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel id="hea_adapterslcodelabel" styleClass="outputLabel" for="hea_adapterslcode_id" value="#{msg.heaLocationCode}"/>
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:heasortbutton','heaAdapNameCol','createServer_form:createsvrwizard:AssignEthernetPanel:heaSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						<h:outputText id="hea_adapterslcode_id" styleClass="outputText" value="#{hea_adapterslist.physicalLoc}"/>
						<h:outputText value="&nbsp;" escape="false"/>
						<hx:graphicImageEx value="/images/warning_obj16.gif" rendered="#{hea_adapterslist.promiscWarn}" title="#{msg.HEA_PROMISC_WARN}"/>
					</hx:columnEx>
					
					<hx:columnEx id="heaPortGrpCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel id="hea_adapterslstatelabel" styleClass="outputLabel" for="hea_adapterslstate_id" value="#{msg.HEA_PORT_GRP_LBL}"/>
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:heasortbutton','heaPortGrpCol','createServer_form:createsvrwizard:AssignEthernetPanel:heaSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						<h:outputText id="hea_adapterslstate_id" styleClass="outputText" value="#{hea_adapterslist.portGroup}"/>
					</hx:columnEx>					
					
					<hx:columnEx id="heaAvailConnCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">						
						<usmc:outputLabel id="hea_adaptersavailconnlabel" styleClass="outputLabel" for="hea_adaptersavailconn_id" value="#{msg.heaAvailableConn}"/>
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:heasortbutton','heaAvailConnCol','createServer_form:createsvrwizard:AssignEthernetPanel:heaSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						<h:outputText id="hea_adaptersavailconn_id" styleClass="outputText" value="#{hea_adapterslist.availableConnections}" />
					</hx:columnEx>
					
					
	</hx:dataTableEx>
	
	</h:panelGrid>
	
	<exfaces:script type="text/javascript" 
			value="handleTableRowSelection('createServer_form:createsvrwizard:AssignEthernetPanel:heatable');
			"/>

</h:panelGrid>
</hx:panelSection>
	
</hx:panelBox>