<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection">

<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                />
<h:panelGrid rendered="#{host_config_bean.memConfig.amsCapable && !ct_vs_pagecode.viosEnv}">
	<h:outputText value="#{msg.memoryMode}" styleClass="headerText"/>
</h:panelGrid>


<h:panelGrid id="memory_config_panel">

<h:selectOneRadio layout="pageDirection" value="#{ct_vs_pagecode.memMode}" id="mem_mode" rendered="#{host_config_bean.memConfig.amsCapable && !ct_vs_pagecode.viosEnv && !vs_bean.remoterestarble}">
	<f:selectItems value="#{ct_vs_pagecode.memoryModes}"/>
</h:selectOneRadio>	

<h:panelGrid columns="2" id="warningText" rendered="#{vs_bean.remoterestarble}">
	<hx:graphicImageEx value="/images/warning_obj16.gif"/>
	<h:outputText value="#{msg.AMS_WARNING_MSG}"/>
</h:panelGrid>

<hx:ajaxRefreshSubmit id="ajRefreshSubmit_Mem"/>
   	  
<hx:behavior id="ajBehavior_Mem" target="mem_mode" event="onclick"
						 behaviorAction="get;stop" targetAction="memory_config_panel"/>


<h:panelGrid id="dedicatedmodepanel" rendered="#{ct_vs_pagecode.dedicatedMem}">

<h:outputText value="#{msg.dedicatedmemoryMode}"  styleClass="headerText"/>

<h:panelGrid columns="5" styleClass="columnLeftAlign">
	<usmc:outputLabel id="totsysmemlabel" styleClass="outputLabel" for="totsysmemid" value="#{msg.totSysMemory}"/>
	<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
	<h:outputText id="totsysmemid" styleClass="outputText" value="#{ct_vs_pagecode.totSysConfigMem}"/>
	<h:outputText value=""/>
	<h:outputText value="#{msg.MEM_GB_LBL}"/>
	<h:outputText value=""/>
	<h:outputText value=""/>
	<h:outputText value=""/>
	<h:outputText value=""/>
	<h:outputText value=""/>	
	<usmc:outputLabel id="availsysmemlabel" styleClass="outputLabel" for="availsysmemid" value="#{msg.availSysMemory}"/>
	<h:outputText value=""/>
	<h:outputText id="availsysmemid" styleClass="outputText" value="#{ct_vs_pagecode.availSysMem}"/>
	<h:outputText value="" style="width: 38px"/>
	<h:outputText value="#{msg.MEM_GB_LBL}"/>
</h:panelGrid>

<h:outputText value="<P>" escape="false"/>

<h:panelGrid columns="1" styleClass="columnLeftAlign">
	<usmc:outputLabel id="assignmemlabel" styleClass="outputLabel" for="assignmemid" value="#{msg.assignMemory}" />
	<h:inputText id="assignmemid" styleClass="inputText" value="#{ct_vs_pagecode.assignedMem}" maxlength="9" onkeypress="return isNumber(event, this.id, '.');"/>
</h:panelGrid>

</h:panelGrid>

<h:panelGrid id="sharedmodepanel" rendered="#{!ct_vs_pagecode.dedicatedMem}">

<h:outputText styleClass="headerText" value="#{msg.sharedmemoryMode}" />

	<h:panelGrid id="poolInfo" rendered="#{ct_vs_pagecode.memPoolAvailable}">
	
		<h:panelGrid columns="5" styleClass="columnLeftAlign">
		<usmc:outputLabel id="sysmempoollabel" styleClass="outputLabel" for="sysmempoolid" value="#{msg.sysMemoryPoolSize}"/>
		<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
		<h:outputText id="sysmempoolid" styleClass="outputText" value="#{ct_vs_pagecode.memPoolMaxSize}"/>
		<h:outputText value=""/>
		<h:outputText value="#{msg.MEM_GB_LBL}"/>
		<h:outputText value=""/>
		<h:outputText value=""/>
		<h:outputText value=""/>
		<h:outputText value=""/>
		<h:outputText value=""/>	
		<usmc:outputLabel id="availsysmempoollabel" styleClass="outputLabel" for="availsysmempoolid" value="#{msg.availSysMemory}"/>
		<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
		<h:outputText id="availsysmempoolid" styleClass="outputText" value="#{ct_vs_pagecode.availMemPoolSize}"/>
		<h:outputText value=""/>
		<h:outputText value="#{msg.MEM_GB_LBL}"/>
		</h:panelGrid>
		
		<h:outputText value="<P>" escape="false"/>
		<h:panelGrid columns="1" styleClass="columnLeftAlign">
		<usmc:outputLabel id="assignmemppollabel" styleClass="outputLabel" for="assignmempoolid" value="#{msg.assignMemory}"/>
		<h:inputText id="assignmempoolid" styleClass="inputText" value="#{ct_vs_pagecode.assignedMem}" maxlength="9" onkeypress="return isNumber(event, this.id, '.');"/>
		</h:panelGrid>

	</h:panelGrid>
	
	<h:panelGrid rendered="#{!ct_vs_pagecode.memPoolAvailable}">
		<h:outputText styleClass="outputText" style="width: 450" id="configPoolText1" value="#{msg.CONFIG_MEMPOOL_TEXT1}"/>
	</h:panelGrid>
	
</h:panelGrid>

<h:panelGrid id="amemainPanel" rendered="#{host_config_bean.memConfig.ameSupported && host_config_bean.memConfig.ameCapable}">
<h:outputText value="#{msg.AME_TITLE}" styleClass="headerText"/>
<h:panelGrid id="amepanel" columns="6" styleClass="columnLeftAlign">
	 <usmc:outputLabel value="#{msg.AME_TEXT}" for="amecheckBox" id="amelabel"/>
	 <h:selectBooleanCheckbox id="amecheckBox" value="#{ct_vs_pagecode.ameEnabled}">
	 	<hx:behavior event="onclick" targetAction="amepanel" behaviorAction="get;stop"></hx:behavior>
	 </h:selectBooleanCheckbox>
	 <h:outputText value="&nbsp;" escape="false"/>
	 <usmc:outputLabel value="#{msg.AME_FACTOR_TEXT}" for="amefactorinput" id="amefactorlabel" rendered="#{ct_vs_pagecode.ameEnabled}"/>
	 <h:inputText value="#{ct_vs_pagecode.amevalue}" id="amefactorinput" onkeypress="return isNumber(event, this.id, '.');" maxlength="5" rendered="#{ct_vs_pagecode.ameEnabled}"/>
	 <h:outputText value="#{msg.AME_FACTOR_RANGE}" rendered="#{ct_vs_pagecode.ameEnabled}"/>
</h:panelGrid>	 
</h:panelGrid>

</h:panelGrid>
</hx:panelBox>