<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" width="100%">

<h:inputText value="#{storageadap_cs_pagecode.sortSTRGColumn}" style="display : none" id="stroageSortColumn"/>

<h:panelGrid id="phyOptDevPanel" width="100%">

<h:panelGrid columns="3" rendered="#{!storageadap_cs_pagecode.phyOptDevAvailable}">
<hx:graphicImageEx id="phyoptDevspinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{msg.VIRSTR_INPROG_PHYOPT_TEXT}"/>
</h:panelGrid>

<hx:ajaxRefreshSubmit id="ajaxRefreshSubmitphyoptDev" target="phyOptDevPanel"></hx:ajaxRefreshSubmit>

<hx:panelSection id="phyoptDevPanelSection" styleClass="panelSectionDPSMWide"
			title="#{msg.PHY_OPTDEV_TITLETEXT}" initClosed="false" rendered="#{storageadap_cs_pagecode.phyOptDevAvailable}">
			<f:facet name="closed">
				<hx:jspPanel id="id51">
				<hx:graphicImageEx id="id61" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="vtext11" value="#{msg.PHY_OPTDEV_TITLETEXT}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id31">
					<hx:graphicImageEx id="id41" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext21" value="#{msg.PHY_OPTDEV_TITLETEXT}"/>	
				</hx:jspPanel>
			</f:facet>
	
	<h:panelGrid id="phyoptDevtablepanel" width="90%">
	
		<hx:ajaxRefreshSubmit id="phyoptDevsortRefresh" />

		<hx:commandExButton value="" action="#{storageadap_cs_pagecode.sortPhyOptDevTable}" style="display : none" id="phyoptsortbutton">
							<hx:behavior event="onclick" targetAction="phyopttablewrapperPanel" behaviorAction="get;stop" target="phyoptsortbutton"/>	
			</hx:commandExButton>
	
			
		<h:panelGrid id="phyopttablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{storageadap_cs_pagecode.phyOptDevfound}">
			
			<hx:dataTableEx id="phyOptDevTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{storageadap_cs_pagecode.phyOptDevDetails}"
					var="phyOptlist" width="100%" scrollSize="#{storageadap_cs_pagecode.phyoptDevScrollSize}">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="phyoptSelectlabel" value="#{msg.select}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{phyOptlist.selected}" onclick="handleTableRowSelection('createServer_form:createsvrwizard:AssignOpticalDevicePanel:phyOptDevTable');"/>
					</hx:columnEx>

					<hx:columnEx id="phyOptDevTablestrgColName">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="phyoptname" value="#{msg.VIRSTR_TBL_COLNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignOpticalDevicePanel:phyoptsortbutton','strgColName','createServer_form:createsvrwizard:AssignOpticalDevicePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{phyOptlist.name}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="phyOptDevTablestrgDescCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="phyOptdescription" value="#{msg.VIRSTR_TBL_COLDESC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignOpticalDevicePanel:phyoptsortbutton','strgDescCol','createServer_form:createsvrwizard:AssignOpticalDevicePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{phyOptlist.description}"/>												
					</hx:columnEx>

					<hx:columnEx id="phyOptDevTablestrgVIOSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="phyoptvolio"
								value="#{msg.VIRSTR_TBL_VIOSNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignOpticalDevicePanel:phyoptsortbutton','strgVIOSName','createServer_form:createsvrwizard:AssignOpticalDevicePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{phyOptlist.viosServer}"/>
					</hx:columnEx>

					<hx:columnEx id="phyOptDevTablestrgLocationCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="phyoptlocationCode"
								styleClass="outputLabel" value="#{msg.VIRSTR_TBL_LOCATION}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignOpticalDevicePanel:phyoptsortbutton','strgLocationCol','createServer_form:createsvrwizard:AssignOpticalDevicePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{phyOptlist.locationCode}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('createServer_form:createsvrwizard:AssignOpticalDevicePanel:phyOptDevTable');" 
			rendered="#{storageadap_cs_pagecode.phyoptDevScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleTableRowSelection('createServer_form:createsvrwizard:AssignOpticalDevicePanel:phyOptDevTable');" rendered="#{storageadap_cs_pagecode.phyOptDevfound}"/>
				
				<h:outputText value="#{storageadap_cs_pagecode.phyoptEmptyString}" rendered="#{!storageadap_cs_pagecode.phyOptDevfound}"/>
				
		</h:panelGrid>
			
</hx:panelSection>

</h:panelGrid>

<h:outputText value="<p>" escape="false"/>

<h:panelGrid id="virOptPanel" width="100%">

<h:panelGrid columns="3" rendered="#{!storageadap_cs_pagecode.virOptDevAvailable}">
<hx:graphicImageEx id="virOptspinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{msg.VIRSTR_INPROG_VIROPT_TEXT}"/>
</h:panelGrid>

<hx:ajaxRefreshSubmit id="ajaxRefreshSubmitVOM" target="virOptPanel"></hx:ajaxRefreshSubmit>

<hx:panelSection id="virOptPanelSection" styleClass="panelSectionDPSMWide"
			title="#{msg.VIR_OPTDEV_TITLETEXT}" initClosed="false" rendered="#{storageadap_cs_pagecode.virOptDevAvailable}">
			<f:facet name="closed">
				<hx:jspPanel id="id53">
				<hx:graphicImageEx id="id63" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="vtext13" value="#{msg.VIR_OPTDEV_TITLETEXT}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id33">
				<hx:graphicImageEx id="id43" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext23" value="#{msg.VIR_OPTDEV_TITLETEXT}"/>	
				</hx:jspPanel>
			</f:facet>
	
	<h:panelGrid id="virOpttablepanel" width="90%">
	
		<hx:ajaxRefreshSubmit id="viroptsortRefresh" />

		<hx:commandExButton value="" action="#{storageadap_cs_pagecode.sortVirOptTable}" style="display : none" id="viroptsortbutton">
							<hx:behavior event="onclick" targetAction="viropttablewrapperPanel" behaviorAction="get;stop" target="viroptsortbutton"/>	
			</hx:commandExButton>
	
			<h:panelGrid id="viropttablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{storageadap_cs_pagecode.virOptDevfound}">
			
			<hx:dataTableEx id="virOptTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader prefHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{storageadap_cs_pagecode.virOptDevDetails}"
					var="virOptlist" width="100%" scrollSize="#{storageadap_cs_pagecode.viroptDevScrollSize}">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="viroptSelectlabel" value="#{msg.select}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{virOptlist.selected}" onclick="handleTableRowSelection('createServer_form:createsvrwizard:AssignOpticalDevicePanel:virOptTable');"/>
					</hx:columnEx>

					<hx:columnEx id="virOptTablestrgColName">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="viroptname" value="#{msg.VIRSTR_TBL_COLNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignOpticalDevicePanel:viroptsortbutton','strgColName','createServer_form:createsvrwizard:AssignOpticalDevicePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{virOptlist.name}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="virOptTablestrgSizeCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="viroptSize"
								styleClass="outputLabel" value="#{msg.VIRSTR_TBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignOpticalDevicePanel:viroptsortbutton','strgSizeCol','createServer_form:createsvrwizard:AssignOpticalDevicePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{virOptlist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="virOptTablestrgVIOSName">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="virOptcvio"
								value="#{msg.VIRSTR_TBL_VIOSNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignOpticalDevicePanel:viroptsortbutton','strgVIOSName','createServer_form:createsvrwizard:AssignOpticalDevicePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{virOptlist.viosServer}"/>
					</hx:columnEx>

					<hx:columnEx id="virOptTablevirOptMountCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="viroptMounttype"
								styleClass="outputLabel" value="#{msg.VIROPT_TBL_MOUNTTYPE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignOpticalDevicePanel:viroptsortbutton','virOptMountCol','createServer_form:createsvrwizard:AssignOpticalDevicePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{virOptlist.mountType}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('createServer_form:createsvrwizard:AssignOpticalDevicePanel:virOptTable');" 
			rendered="#{storageadap_cs_pagecode.phyoptDevScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleTableRowSelection('createServer_form:createsvrwizard:AssignOpticalDevicePanel:virOptTable');" rendered="#{storageadap_cs_pagecode.virOptDevfound}"/>
				
				<h:outputText value="#{storageadap_cs_pagecode.viroptEmptyString}" rendered="#{!storageadap_cs_pagecode.virOptDevfound}"/>
				
		</h:panelGrid>
			
</hx:panelSection>

</h:panelGrid>

</hx:panelBox>
