<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox id="iopanelBox" layout="pageDirection" width="95%">

<hx:ajaxRefreshSubmit id="tableRefresh"/>

<h:panelGrid columns="2">
	<h:selectBooleanCheckbox value="#{adapter_cs_pagecode.displayAvailIO}" id="displayAllio">
		<hx:behavior event="onclick" targetAction="iopanelBox" behaviorAction="get;stop" target="displayAllio"/>
	</h:selectBooleanCheckbox>
	<h:outputText value="#{msg.IO_DISPAVAIL_TEXT}"/>
</h:panelGrid>


<h:panelGrid id="phyIOtablepanelnewId" width="100%" cellspacing="0" cellpadding="0" border="0">

	<hx:ajaxRefreshSubmit id="sortRefresh" />

	<hx:commandExButton value="" action="#{adapter_cs_pagecode.sortIOTable}" style="display : none" id="sortbutton">
							<hx:behavior event="onclick" targetAction="phyIOtablepanelnewId" behaviorAction="get;stop"/>	
			</hx:commandExButton>

	<h:inputText value="#{adapter_cs_pagecode.sortCurrColumn}" style="display : none" id="ioSortinputId"/>
	
	
	<h:panelGrid id="tablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{adapter_cs_pagecode.iofound}">
		<hx:dataTableEx id="phyIOScrollTable" border="0" cellpadding="10" cellspacing="0"
					footerClass="footerClass" styleClass="newFaceDataTable" columnClasses="columnClass1" headerClass="dataTableColumnHeader"
					var="iolist" value="#{adapter_cs_pagecode.iodetails}" width="100%" 
					scrollSize="#{adapter_cs_pagecode.iotablScrollSize}">
					
					<hx:columnEx style="width: 10%;text-align: center">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="phyioSelectlabel" value="#{msg.select}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{iolist.selected}" onclick="handleTableRowSelection('createServer_form:createsvrwizard:AssignPhyAdaptersPanel:phyIOScrollTable');"/>
					</hx:columnEx>
			
				<hx:columnEx id="locCodeColumn" style="width: 30%">
					<f:facet name="header">
					<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
					<usmc:outputLabel styleClass="outputLabel" id="phyiolocCode"
							value="#{msg.IO_TBL_LOC}"/>
					<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignPhyAdaptersPanel:sortbutton','locCodeColumn','createServer_form:createsvrwizard:AssignPhyAdaptersPanel:ioSortinputId');"/>
					</h:panelGrid>				
					</f:facet>
					<h:outputText styleClass="outputText"
						value="#{iolist.locationCode}" />
				</hx:columnEx>
			

				
				<hx:columnEx id="descColumn">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="phyiodescription" value="#{msg.VIRSTR_TBL_COLDESC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignPhyAdaptersPanel:sortbutton','descColumn','createServer_form:createsvrwizard:AssignPhyAdaptersPanel:ioSortinputId');"/>
							</h:panelGrid>						
						</f:facet>						
						<h:outputText styleClass="outputText"
							value="#{iolist.description}"/>												
					</hx:columnEx>
					

					<hx:columnEx rendered="#{!adapter_cs_pagecode.displayAvailIO}" id="viosColumn" style="width: 15%">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
							<usmc:outputLabel styleClass="outputLabel" id="phyioassigned"
								value="#{msg.IO_TBL_ASSIGNED}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignPhyAdaptersPanel:sortbutton','viosColumn','createServer_form:createsvrwizard:AssignPhyAdaptersPanel:ioSortinputId');"/>	
						</h:panelGrid>	
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{iolist.assignedVServer}"/>
					</hx:columnEx>

					<hx:columnEx id="busidColumn" style="width: 10%">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
							<usmc:outputLabel id="phyiobusid"
								styleClass="outputLabel" value="#{msg.IO_TBL_BUSID}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignPhyAdaptersPanel:sortbutton','busidColumn','createServer_form:createsvrwizard:AssignPhyAdaptersPanel:ioSortinputId');"/>	
						</h:panelGrid>	
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{iolist.busId}" />
					</hx:columnEx>
					
			</hx:dataTableEx>
			
			</h:panelGrid>
			
			<exfaces:script type="text/javascript" value="alignCol('createServer_form:createsvrwizard:AssignPhyAdaptersPanel:phyIOScrollTable');" 
			rendered="#{adapter_cs_pagecode.iotblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleTableRowSelection('createServer_form:createsvrwizard:AssignPhyAdaptersPanel:phyIOScrollTable');" rendered="#{adapter_cs_pagecode.iofound}"/>		
			
				
				<h:outputText value="#{msg.IO_EMPTY_TEXT}" rendered="#{!adapter_cs_pagecode.iofound}"/>
				
		</h:panelGrid>

<h:outputText value="<br>" escape="false"/>
<h:panelGrid columns="2" id="warningText" rendered="#{!adapter_cs_pagecode.displayAvailIO}">
	<hx:graphicImageEx value="/images/warning_obj16.gif"/>
	<h:outputText value="#{msg.IO_WARN_TEXT}"/>
</h:panelGrid>
			
</hx:panelBox>