<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection">
<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                />
                
<h:panelGrid>
	<h:outputText id="proccessorpaneltext"
		value="#{ct_vs_pagecode.processorPanelText}" styleClass="outputText" />
</h:panelGrid>

<h:panelGrid>
	<h:outputText id="procText" value="#{msg.PROCESS_MODE_TEXT}" styleClass="headerText" rendered="#{ct_vs_pagecode.renderProcessorModesOption}"/>
</h:panelGrid>

<h:panelGrid id="proc_config_panel">

<h:selectOneRadio layout="pageDirection" rendered="#{ct_vs_pagecode.renderProcessorModesOption}" 
			value="#{ct_vs_pagecode.procMode}" id="processor_mode">
	<f:selectItems value="#{ct_vs_pagecode.procModes}" />
</h:selectOneRadio>

	<hx:ajaxRefreshSubmit id="ajRefreshSubmit_Proc" />

	<hx:behavior id="ajBehavior_Proc" target="processor_mode"
		event="onclick" behaviorAction="get;stop"
		targetAction="proc_config_panel" />

<h:panelGrid id="dedicatedporcesspanel"
	rendered="#{ct_vs_pagecode.dedicatedProc}">

<h:panelGrid>
	<h:outputText id="assignedprocessorslabel" styleClass="headerText"
		value="#{msg.processorsConfig}" />
</h:panelGrid>

<h:panelGrid columns="3" styleClass="columnLeftAlign">
	<usmc:outputLabel id="totsysprocessorslabel" styleClass="outputLabel"
		for="totsysprocessorsid" value="#{msg.totSysProcessors}" />
	<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
	<h:outputText id="totsysprocessorsid" styleClass="outputText"
		value="#{host_config_bean.processorConfig.configurableProcUnits}" />
	<h:outputText value=""/>
	<h:outputText value=""/>
	<h:outputText value=""/>	
	<usmc:outputLabel id="availsysprocessorslabel"
		styleClass="outputLabel" for="availsysprocessorsid"
		value="#{msg.availSysProcessors}" />
	<h:outputText value=""/>	
	<h:outputText id="availsysprocessorsid" styleClass="outputText"
		value="#{host_config_bean.processorConfig.currAvailProcUnits}" />
</h:panelGrid>

<h:outputText value="<P>" escape="false"/>

<h:panelGrid columns="1" styleClass="columnLeftAlign">
	<usmc:outputLabel id="ded_assignedprocessorslabel"
		styleClass="outputLabel" for="ded_assignedprocessorsid"
		value="#{msg.assignedProcessors}" />
	<h:inputText id="ded_assignedprocessorsid" styleClass="inputText" value="#{ct_vs_pagecode.assignedProcessors}" maxlength="9" onkeypress="return isNumber(event, this.id, '');"/>
</h:panelGrid>

</h:panelGrid>

<h:panelGrid id="sharedprocessorpanel"
		rendered="#{!ct_vs_pagecode.dedicatedProc && ct_vs_pagecode.powerVMIdRange}" >

<h:outputText id="assignedsharedprocessorslabel" styleClass="headerText" 
value="#{msg.processorsConfig}" />

<h:panelGrid columns="1" styleClass="columnLeftAlign" rendered="#{ct_vs_pagecode.renderProcessorPoolsList}">
		
<usmc:outputLabel id="processorpool_label" styleClass="outputLabel"
		for="processorpoolid" value="#{msg.processorPool}" />
			
<h:selectOneMenu id="processorpoolid"
		value="#{ct_vs_pagecode.selectedProcessorPool}">
		<f:selectItems value="#{ct_vs_pagecode.sysProcessorPools}" />
	</h:selectOneMenu>
						
</h:panelGrid>

<hx:ajaxRefreshSubmit id="ajRefreshSubmit_SharedProc" />

	<hx:behavior id="ajBehavior_SharedProc" target="processorpoolid"
		event="onchange" behaviorAction="get;stop"
		targetAction="sharedprocessorpanel" />
		
<h:panelGrid columns="3" styleClass="columnLeftAlign">
	<usmc:outputLabel id="maxpoolprocessorslabel"
		styleClass="outputLabel" for="maxpoolprocessorsid"
		value="#{msg.maxPoolProcessors}" />
	<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
	<h:outputText styleClass="outputText" id="maxpoolprocessorsid"
		value="#{ct_vs_pagecode.maxPoolSize}" />
	<h:outputText value=""/>
	<h:outputText value=""/>
	<h:outputText value=""/>	
	<usmc:outputLabel id="availpoolprocessorslabel"
		styleClass="outputLabel" for="availpoolprocessorsid"
		value="#{msg.availPoolProcessors}" />
	<h:outputText value=""/>	
	<h:outputText id="availpoolprocessorsid" styleClass="outputText"
		value="#{ct_vs_pagecode.availPoolSize}" />
</h:panelGrid>

<h:outputText value="<P>" escape="false"/>
		
<h:panelGrid columns="1" styleClass="columnLeftAlign">
	<usmc:outputLabel id="shared_assignedprocessorslabel"
		styleClass="outputLabel" for="shared_assignedprocessorsid"
		value="#{msg.assignedProcessors}" />
	<h:inputText styleClass="inputText" id="shared_assignedprocessorsid"
		value="#{ct_vs_pagecode.assignedProcessors}" maxlength="9" onkeypress="return isNumber(event, this.id, '');"/>
</h:panelGrid>

</h:panelGrid>

<h:panelGrid id="powervmidrangePanel" rendered="#{!ct_vs_pagecode.dedicatedProc && !ct_vs_pagecode.powerVMIdRange}">
	<h:outputText id="powervmidrangeText" value="#{msg.POWERVM_ID_RANGE}"/>
</h:panelGrid>
	
</h:panelGrid>

</hx:panelBox>