<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" id="virtualAdapterspanel" width="100%">

<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                rendered="#{!vios_pagecode.vadaptersPanelOpen}"/>

<h:panelGrid columns="3" id="maxadapterspanel">
	<usmc:outputLabel id="maxVirtualadapters_id" value="#{msg.max_virt_adapters}" for="input_maxVirtualadapters_id"/>
	<h:outputText value="&nbsp;&nbsp;" escape="false"/>
	<h:inputText id="input_maxVirtualadapters_id" value="#{vios_pagecode.maxVirtualSlots}" style="width: 100" maxlength="9"/>				
		
</h:panelGrid>

<h:outputText value="<br>" escape="false"/>

<h:panelGrid id="panelDialogiD">
<hx:panelDialog id="createVAdapterPanelDialog" rendered="false"/>			
</h:panelGrid>

		<hx:ajaxRefreshSubmit id="vdapsortRefresh" />

		<hx:commandExButton value="" action="#{vios_pagecode.sortVAdapTable}" style="display : none" id="vAdapsortbutton">
							<hx:behavior event="onclick" targetAction="vadaptertablewrapperPanel" behaviorAction="get;stop" target="vAdapsortbutton"/>	
			</hx:commandExButton>
			
			<h:inputText value="#{vios_pagecode.sortColumnId}" style="display : none" id="vAdapSortColumn"/>

	<h:panelGrid id="adapterlistpanel" border="0" cellpadding="0" cellspacing="0" width="90%">
		
		<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,
		wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="toolbarTable" 
		columns="6" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{vios_pagecode.renderVAdapterTable}">
		
		<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
						
		<hx:commandExButton styleClass="wclTableButton" id="addadapterid"
			action="#{vios_pagecode.createVirtualAdapter}"
			value="#{msg.ADD_ADAPTER_LBL}">
			<hx:behavior event="onclick" targetAction="virtualAdapterspanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
				
		<hx:commandExButton styleClass="wclTableButton" id="editadapterid"
			action="#{vios_pagecode.editVirtualAdapter}"
			value="#{msg.EDIT_ADAPTER_LBL}">
			<hx:behavior event="onclick" targetAction="virtualAdapterspanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
		<hx:commandExButton styleClass="wclTableButton" id="deleteadapterid"
						action="#{vios_pagecode.deleteVirtualAdapter}" styleClass="commandExButton" type="submit" value="#{msg.DELETE_ADAPTER_LBL}">
						<hx:behavior event="onclick" targetAction="adapterlistpanel" behaviorAction="get;stop"/>
						</hx:commandExButton>
				
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
		</h:panelGrid>
		
		
		<h:panelGrid id="vadaptertablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{vios_pagecode.renderVAdapterTable}">		

		<hx:dataTableEx id="vadapterTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{vios_pagecode.vadapterDetails}"
					var="adapterslist" width="100%" scrollSize="#{vios_pagecode.vdapTblScrollSize}">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vir_adaptersSelectlabel" value="#{msg.select}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{adapterslist.selected}" onclick="handleTableRowTaskSelection('createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vadapterTable',true,
						'createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:editadapterid','createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:deleteadapterid');"/>
					</hx:columnEx>

					<hx:columnEx id="vadapterNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel styleClass="outputLabel"
								id="vir_adaptersidlabel" value="#{msg.VIRADAPTER_COL1_LBL}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vAdapsortbutton','vadapterNameCol','createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vAdapSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						<h:outputLink onclick ="return dispatchRequest(this);">
							<h:outputText value="#{adapterslist.adapterId}"/>
						</h:outputLink>							
						<hx:commandExButton value="#{adapterslist.adapterId}" action="#{vios_pagecode.editVirtualAdapter}" actionListener="#{vios_pagecode.editActionListenerVirAdap}" style="display : none">
							<hx:behavior event="onclick" targetAction="virtualAdapterspanel" behaviorAction="get;stop"/>	
						</hx:commandExButton>						
					</hx:columnEx>

					<hx:columnEx id="vadapterTypeCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel styleClass="outputLabel" id="vir_adapterstype"
								value="#{msg.VIRADAPTER_COL2_LBL}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vAdapsortbutton','vadapterTypeCol','createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vAdapSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{adapterslist.adapterTypeResBundle}"/>
					</hx:columnEx>

					<hx:columnEx id="vadapterVIOSCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vir_adapter_connsvrname"
								styleClass="outputLabel" value="#{msg.VIRADAPTER_COL3_LBL}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vAdapsortbutton','vadapterVIOSCol','createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vAdapSortColumn');"/>
							</h:panelGrid>
														
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{adapterslist.connVServerIdString}"/>
					</hx:columnEx>

					<hx:columnEx id="vadapConnIdCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vir_adapters_connsvrid"
								styleClass="outputLabel" value="#{msg.VIRADAPTER_COL4_LBL}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vAdapsortbutton','vadapConnIdCol','createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vAdapSortColumn');"/>
							</h:panelGrid>	
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{adapterslist.connVAdapterId}" />
					</hx:columnEx>

				</hx:dataTableEx>
			
			</h:panelGrid>
			
			<exfaces:script type="text/javascript" value="alignCol('createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vadapterTable');" 
			rendered="#{vios_pagecode.vdapTblScrollable}"/>
			
			<h:outputText value="#{msg.VIR_ADAP_EMPTY_TEXT}" rendered="#{!vios_pagecode.renderVAdapterTable}"/>
			
			<hx:commandExButton styleClass="buttonRegular" id="createadapterid"
			action="#{vios_pagecode.createVirtualAdapter}"
			value="#{msg.CREATE_ADAPTER_LBL}" rendered="#{!vios_pagecode.renderVAdapterTable}">
				<hx:behavior event="onclick" targetAction="virtualAdapterspanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
			<exfaces:script rendered="#{vios_pagecode.renderVAdapterTable}" type="text/javascript" 
			value="handleTableRowTaskSelection('createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:vadapterTable',true,
						'createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:editadapterid','createServer_form:createsvrwizard:AssignVirtualAdaptersPanel:deleteadapterid');"/>				
				
			</h:panelGrid>
			
			<h:outputText value="<br><br>" escape="false"/>
			<h:panelGrid rendered="#{ct_vs_pagecode.viosEnv}" columns="2" columnClasses="columnAlignTop">
			<h:outputText value="#{msg.VIRADAPTER_VIOS_NOTE}"/>
				<h:panelGrid cellpadding="0" cellspacing="0" columnClasses="columnAlignTop" columns="3">
				    <h:outputText value="#{msg.VIRADAPTER_VIOS_NUM1}"/>
   					<h:outputText value="&nbsp;&nbsp;" escape="false"/>
					<h:outputText value="#{msg.VIRADAPTER_VIOS_NOTE1}"/>
					<h:outputText value="" rendered="#{!host_config_bean.newVioRangeSupported}"/>
					<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{!host_config_bean.newVioRangeSupported}"/>
					<h:outputText value="" rendered="#{!host_config_bean.newVioRangeSupported}"/>
					<h:outputText value="#{msg.VIRADAPTER_VIOS_NUM2}" rendered="#{!host_config_bean.newVioRangeSupported}"/>
					<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{!host_config_bean.newVioRangeSupported}"/>
					<h:outputText value="#{msg.VIRADAPTER_VIOS_NOTE2}" rendered="#{!host_config_bean.newVioRangeSupported}"/>
				</h:panelGrid>
			</h:panelGrid>
			
			<h:panelGrid rendered="#{!(ct_vs_pagecode.viosEnv || anyactiveVIOsServers)}">
			<h:outputText value="#{msg.VIRADAPTER_NOACTIVEVIOS_NOTE}"/>
			</h:panelGrid>

</hx:panelBox>