<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection">

<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                />

<h:panelGrid columns="3">

<usmc:outputLabel for="serverName" value="#{msg.SUMMY_SVR_NAME}" styleClass="outputLabel" style="width:450"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
<h:outputText id="serverName" value="#{host_config_bean.userDefinedName}"/>

<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>

<usmc:outputLabel for="vservername" value="#{msg.SUMMY_VSVR_NAME}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
<h:outputText id="vservername" value="#{vs_bean.virtualServerDisplayName}"/>

<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>

<usmc:outputLabel for="vserverid" value="#{msg.SUMMY_VSVR_ID}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
<h:outputText id="vserverid" value="#{ct_vs_pagecode.virtualServerId}"/>

<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>

<usmc:outputLabel for="vserverenv" value="#{msg.SUMMY_VSVR_ENV}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false"/>
<h:outputText id="vserverenv" value="#{ct_vs_pagecode.virtualServerEnvString}"/>

<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>

<usmc:outputLabel for="vservermem" value="#{msg.SUMMY_VSVR_MEM}" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:panelGrid columns="5" cellspacing="0" cellpadding="0" rendered="#{!ct_vs_pagecode.allResourcesAssign}">
<h:outputText id="vservermem" value="#{ct_vs_pagecode.assignedMem}"/>
<h:outputText value="&nbsp;" escape="false"/>
<h:outputText value="#{msg.MEM_GB}"/>
<h:outputText value="&nbsp;" escape="false"/>
<h:outputText value="#{ct_vs_pagecode.assignedMemSummaryString}" escape="false"/>
</h:panelGrid>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>

<usmc:outputLabel for="vserverproc" value="#{msg.SUMMY_VSVR_PROC}" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:panelGrid columns="2">
<h:outputText id="vserverproc" value="#{ct_vs_pagecode.assignedProcessors}" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="#{ct_vs_pagecode.assignedProcSummaryString}" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
</h:panelGrid>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>

<usmc:outputLabel for="vserverveth" value="#{msg.SUMMY_VSVR_VRETH}" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText id="vserverveth" value="#{vios_pagecode.summaryETHADAPString}" rendered="#{!ct_vs_pagecode.allResourcesAssign}" escape="false"/>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>

<usmc:outputLabel for="vserverhea" value="#{msg.SUMMY_VSVR_LHEA}" rendered="#{!ct_vs_pagecode.allResourcesAssign && adapter_cs_pagecode.renderHEAPanel}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign && adapter_cs_pagecode.renderHEAPanel}"/>
<h:outputText id="vserverhea" value="#{adapter_cs_pagecode.summaryLHEADAPString}" rendered="#{!ct_vs_pagecode.allResourcesAssign && adapter_cs_pagecode.renderHEAPanel}"/>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && adapter_cs_pagecode.renderHEAPanel}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && adapter_cs_pagecode.renderHEAPanel}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && adapter_cs_pagecode.renderHEAPanel}"/>

<usmc:outputLabel for="vservervirAdap" value="#{msg.SUMMY_VSVR_VIRADAP}" rendered="#{!ct_vs_pagecode.allResourcesAssign && !(vios_pagecode.powerVMVIOLimited && vs_virutaladapterconfig_bean.systemManaged)}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign && !(vios_pagecode.powerVMVIOLimited && vs_virutaladapterconfig_bean.systemManaged)}"/>
<h:outputText id="vservervirAdap" value="#{vios_pagecode.summaryVAdapString}" rendered="#{!ct_vs_pagecode.allResourcesAssign && !(vios_pagecode.powerVMVIOLimited && vs_virutaladapterconfig_bean.systemManaged)}" escape="false"/>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && !vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && !vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && !vs_virutaladapterconfig_bean.systemManaged}"/>

<usmc:outputLabel for="vserverstrgCap" value="#{msg.SUMMY_VSVR_STRCAP}" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:panelGrid columns="3" cellspacing="0" cellpadding="0" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}">
<h:outputText id="vserverstrgCap" value="#{storageadap_cs_pagecode.summaryStrgCapacity}"/>
<h:outputText value="&nbsp;" escape="false"/>
<h:outputText value="#{msg.MEM_GB}"/>
</h:panelGrid>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>

<usmc:outputLabel for="vserverstrgDev" value="#{msg.SUMMY_VSVR_STRDEV}" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText id="vserverstrgDev" value="#{storageadap_cs_pagecode.summaryStrgDevices}" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}" escape="false"/>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>

<usmc:outputLabel for="vserveroptDev" value="#{msg.SUMMY_VSVR_OPTDEV}" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText id="vserveroptDev" value="#{storageadap_cs_pagecode.summaryOptDevices}" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}" escape="false"/>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>

<usmc:outputLabel for="vserverviroptDev" value="#{msg.SUMMY_VSVR_VOPTDEV}" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText id="vserverviroptDev" value="#{storageadap_cs_pagecode.summaryVirOptDevices}" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}" escape="false"/>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign && vs_virutaladapterconfig_bean.systemManaged}"/>

<usmc:outputLabel for="vserverphyio" value="#{msg.SUMMY_VSVR_PHYADAP}" rendered="#{!ct_vs_pagecode.allResourcesAssign && ct_vs_pagecode.dedicatedMem}"/>
<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{!ct_vs_pagecode.allResourcesAssign && ct_vs_pagecode.dedicatedMem}"/>
<h:outputText id="vserverphyio" value="#{adapter_cs_pagecode.physicalIOString}" rendered="#{!ct_vs_pagecode.allResourcesAssign && ct_vs_pagecode.dedicatedMem}"/>

<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>
<h:outputText value="" rendered="#{!ct_vs_pagecode.allResourcesAssign}"/>

</h:panelGrid>

<h:panelGrid rendered="#{ct_vs_pagecode.allResourcesAssign}">
<h:outputText id="vserverallres" value="#{msg.SUMMY_ALL_RESOURCES}"/>
</h:panelGrid>

</hx:panelBox>