<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="lheaadapDialogView">
	<hx:panelBox id="lheaadapDialogbox" layout="pageDirection" width="100%">
	<usmc:messageBox id="name_messagebox_dialog"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />
			
	<hx:ajaxRefreshSubmit id="lheatableRefresh"/>
	
	<hx:commandExButton value="" action="#{manageAdaptersUIBean.sortLHEADialogtable}" style="display : none" id="lheaAdapdgsortbutton">
							<hx:behavior event="onclick" targetAction="lheatabledialogwrapperPanel" behaviorAction="get;stop" target="lheaAdapdgsortbutton"/>	
			</hx:commandExButton>
			
	<h:inputText value="#{manageAdaptersUIBean.sortColumnId}" style="display : none" id="lheaAdapdgSortColumn"/>
	
	<h:panelGrid id="lheatabledialogwrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">		
		<hx:dataTableEx id="lheadialogTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageAdaptersUIBean.availLHEADetails}"
					var="lhealist" width="100%" scrollSize="#{manageAdaptersUIBean.availLHEAScrollSize}">
					
					<hx:columnEx id="lheadialogSelectcolumn" style="text-align: center">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">							
							<usmc:outputLabel styleClass="outputLabel"
								id="lheadialogSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
							</h:panelGrid>	
						</f:facet>
						<h:selectBooleanCheckbox value="#{lhealist.physicalLocation.selected}" onclick="handleDialogTableRowSelection('manageServer_form:lheaadapDialogView:lheadialogTable')"
						disabled="#{lhealist.selectionDisabled}"/>
					</hx:columnEx>
					
					<hx:columnEx id="lheadialogLocCol">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="lheaphylocdialog"
									value="#{msg.LBL_PHYLOC_CODE}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:lheaadapDialogView:lheaAdapdgSortColumn','lheadialogLocCol','manageServer_form:lheaadapDialogView:lheaAdapdgSortColumn');"/>
							</h:panelGrid>	
						</f:facet>
						<h:outputText value="#{lhealist.physicalLocation.value}" id="phyloctext"/>
					</hx:columnEx>

					<hx:columnEx id="lheadialogLogPortCol">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText,sortHeaderImage">
							<usmc:outputLabel styleClass="outputLabel" id="lhealogPortdialoglbl"
									value="#{msg.LBL_LOGICALPORT}" />
						</h:panelGrid>				
						</f:facet>
						<h:selectOneMenu id="lheadgselport" value="#{lhealist.logicalPortId}">
							<f:selectItems value="#{lhealist.logicalPorts}"/>
						</h:selectOneMenu>
					</hx:columnEx>
					
					<hx:columnEx id="lheadgportgrp">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="lheaportgrpdglbl"
									value="#{msg.LBL_PORTGRP}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:lheaadapDialogView:lheaAdapdgSortColumn','lheaportgrpCol','manageServer_form:lheaadapDialogView:lheaAdapdgSortColumn');"/>
							</h:panelGrid>	
						</f:facet>
						<h:outputText value="#{lhealist.portGroup}" id="portgrptext"/>
					</hx:columnEx>

					<hx:columnEx id="lheavlandgCol">
						<f:facet name="header">
							<h:panelGrid width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel id="lheavlandglbl"
										styleClass="outputLabel" value="#{msg.LBL_ALLOWEDVLAN}" />
							</h:panelGrid>
						</f:facet>
						<h:inputText value="#{lhealist.allowedVLAN}" style="width: 100px"/>
					</hx:columnEx>
					
					<hx:columnEx id="lheaavailconndgCol">
						<f:facet name="header">						
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel id="lheaavailconnlbl"
								styleClass="outputLabel" value="#{msg.LBL_AVAILCONN}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:lheaadapDialogView:lheaAdapdgSortColumn','lheaAvailconnCol','manageServer_form:lheaadapDialogView:lheaAdapdgSortColumn');"/>
							</h:panelGrid>		
						</f:facet>
						<h:outputText value="#{lhealist.numberofAvailConn}" id="availConntext"/>
					</hx:columnEx>
					
				</hx:dataTableEx>
			
			</h:panelGrid>	
			
			<exfaces:script type="text/javascript" value="alignCol('manageServer_form:lheaadapDialogView:lheadialogTable');" 
			rendered="#{manageAdaptersUIBean.availLHEATblScrollable}" id="lheadgscipt1"/>
			
		<h:outputText value="<P>" escape="false" id="lheaspacertext1"/>
		
		<h:panelGrid id="promiscPanelId" columns="3" rendered="#{manageAdaptersUIBean.promiscTextEnabled}">
		<h:outputText value="#{msg.LBL_LHEA_PROMISCNOTE}"  id="promiscNote1"/>
		<h:outputText value ="#{manageAdaptersUIBean.promiscPortsString}" id="promiscNote2" style="font-weight: bold"/>
		<h:outputText value ="#{msg.LBL_LHEA_PROMISCTEXT}" id="promiscNote3"/>
		</h:panelGrid>
		
		<h:panelGrid columns="3" id="lheadgbuttonslbl">
			<hx:commandExButton
				action="#{manageAdaptersUIBean.addLHEAAdapterSubmit}"
				value="#{msg.LBL_OK}" type="submit" id="lheaokbutton">
				<hx:behavior event="onclick"
					targetAction="lheaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>


			<hx:commandExButton value="#{msg.LBL_CANCEL}"
				action="#{manageAdaptersUIBean.addLHEAAdapterCancel}"
				type="submit" id="lheacancelbutton">
				<hx:behavior event="onclick"
					targetAction="lheaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>
			
			<h:commandButton id="help_button_mvslhea"
				value="#{msg.HELP_TEXT}"
				action="#{mvs_help.doLHEAHelp}" immediate="true">
			</h:commandButton>
		</h:panelGrid>
			
	</hx:panelBox>
</f:subview>
