<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="phyadapDialogView">
	<hx:panelBox id="phyadapDialogbox" layout="pageDirection" width="1200px">
	
	<hx:ajaxRefreshSubmit id="tableRefresh"/>

	<h:panelGrid columns="2" id="phyadappanel1">
		<h:selectBooleanCheckbox value="#{manageAdaptersUIBean.displayAvailIO}" id="displayAllio">
			<hx:behavior event="onclick" targetAction="phyadapDialogbox" behaviorAction="get;stop" target="displayAllio"/>
		</h:selectBooleanCheckbox>
		<h:outputText value="#{msg.LBL_PHYADAP_AVAILIODISP}" id="phyadapoutputText1"/>
	</h:panelGrid>
	
	<hx:commandExButton value="" action="#{manageAdaptersUIBean.sortphyIODialogtable}" style="display : none" id="phyadapdgsortbutton">
							<hx:behavior event="onclick" targetAction="phyadaptabledialogwrapperPanel" behaviorAction="get;stop" target="phyadapdgsortbutton"/>	
			</hx:commandExButton>
			
	<h:inputText value="#{manageAdaptersUIBean.sortColumnId}" style="display : none" id="phyadapdgSortColumn"/>
	
	<h:panelGrid id="phyadaptabledialogwrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">		
		<hx:dataTableEx id="phyadapdialogTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageAdaptersUIBean.phyAdapDialogDetails}"
					var="phyadapterslist" width="100%">
					
					<hx:columnEx style="text-align: center;width: 8%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">							
							<usmc:outputLabel styleClass="outputLabel"
								id="phyadapdialogSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
							</h:panelGrid>	
						</f:facet>
						<h:selectBooleanCheckbox value="#{phyadapterslist.phyLocation.selected}" onclick="handleDialogTableRowSelection('manageServer_form:phyadapDialogView:phyadapdialogTable')" 
						disabled="#{!phyadapterslist.assignable}"/>
					</hx:columnEx>

					<hx:columnEx id="phyadapdialogLocCol" style="width: 20%">
						<f:facet name="header">						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">						
						<usmc:outputLabel styleClass="outputLabel"
								id="phyadaploclbldialogid" value="#{msg.LBL_PHYADAP_LOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:phyadapDialogView:phyadapdgsortbutton','phyadaplocCol','manageServer_form:phyadapDialogView:phyadapdgSortColumn');"/>
							</h:panelGrid>							
						</f:facet>
						
						<vsmfaces:outputText uiproperty="#{phyadapterslist.phyLocation}"/>						
					</hx:columnEx>

					<hx:columnEx id="phyadapdialogdescription" style="width: 20%">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="phyadapdescdialoglbl"
									value="#{msg.LBL_TBL_DESCRIPTION}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:phyadapDialogView:phyadapdgsortbutton','phyadapdescCol','manageServer_form:phyadapDialogView:phyadapdgSortColumn');"/>
							</h:panelGrid>	
						</f:facet>
						<h:outputText value="#{phyadapterslist.description}"/>
					</hx:columnEx>
					
					<hx:columnEx id="phyadapdialogvservername" rendered="#{!manageAdaptersUIBean.displayAvailIO}">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="phyadapvserverdialoglbl"
									value="#{msg.LBL_TBL_VSERVERNAME}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:phyadapDialogView:phyadapdgsortbutton','phyadapvserverCol','manageServer_form:phyadapDialogView:phyadapdgSortColumn');"/>
							</h:panelGrid>	
						</f:facet>
						<h:outputText value="#{phyadapterslist.vserverString}" escape="false"/>
					</hx:columnEx>
					
					<hx:columnEx id="phyadapdialogvserverstate" rendered="#{!manageAdaptersUIBean.displayAvailIO}">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="phyadapvserverstatedialoglbl"
									value="#{msg.LBL_TBL_VSERVERSTATE}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:phyadapDialogView:phyadapdgsortbutton','phyadapvserverCol','manageServer_form:phyadapDialogView:phyadapdgSortColumn');"/>
							</h:panelGrid>	
						</f:facet>
						<h:outputText value="#{phyadapterslist.vserverState}" escape="false"/>
					</hx:columnEx>

					<hx:columnEx id="phyadapdialogbusId">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel id="phyadapbusiddialoglabl"
										styleClass="outputLabel" value="#{msg.PHYADAP_BUSID}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
									'manageServer_form:phyadapDialogView:phyadapdgsortbutton','phyadapBusidCol','manageServer_form:phyadapDialogView:phyadapdgSortColumn');"/>
							</h:panelGrid>
						</f:facet>
						<h:outputText value="#{phyadapterslist.busId}"/>
					</hx:columnEx>
					
					<hx:columnEx id="phyadadialogpoolId">
						<f:facet name="header">						
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel id="phyadapPoolIddialoglabel"
								styleClass="outputLabel" value="#{msg.LBL_PHYADAP_POOLID}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:phyadapDialogView:phyadapdgsortbutton','phyadapPoolIdCol','manageServer_form:phyadapDialogView:phyadapdgSortColumn');"/>
							</h:panelGrid>		
						</f:facet>
						<h:outputText value="#{phyadapterslist.poolId}" escape="false"/>
					</hx:columnEx>
				</hx:dataTableEx>
			
			</h:panelGrid>	
			
			<exfaces:script type="text/javascript" value="alignCol('manageServer_form:phyadapDialogView:phyadapdialogTable');" 
			rendered="false"/>
			
		<h:outputText value="<P>" escape="false" />
		<h:panelGrid columns="3" id="phyadapdialogpanel2">
			<hx:commandExButton
				action="#{manageAdaptersUIBean.addphysicalAdapterSubmit}"
				value="#{msg.LBL_OK}" type="submit" id="phyadapokbutton_phyadappage">
				<hx:behavior event="onclick"
					targetAction="physicalAdapterPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>


			<hx:commandExButton value="#{msg.LBL_CANCEL}"
				action="#{manageAdaptersUIBean.addphysicalAdapterCancel}"
				type="submit">
				<hx:behavior event="onclick"
					targetAction="physicalAdapterPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>
			
			<h:commandButton id="help_button_mvsphyAdapter"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doPhysicalAdapterHelp}" immediate="true">
				</h:commandButton>
		</h:panelGrid>
	</hx:panelBox>
</f:subview>
