<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="ethernetDialogView">
	<hx:panelBox id="ethernetDialogbox" layout="pageDirection">
		<usmc:messageBox id="name_messagebox_dialog"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />

		<h:panelGrid id="ethpanel1">
			<h:outputText value="#{msg.LBL_ETHDIALOG_TEXT}" id="ethtext1"/>
		</h:panelGrid>

		<h:outputText value="<P></P>" escape="false" id="ethtext2"/>
		<h:panelGrid id="ethpanel2">
			<vsmfaces:outputLabel for="ethadapterId" id="adapterIdlbl"
				value="#{msg.LBL_ADAPTERDIALOG_ID}" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.adapterId}"/>
			<vsmfaces:inputText id="ethadapterId"
				uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.adapterId}"
				maxlength="9"
				disabled="#{!manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added}" labelId="adapterIdlbl" required="true"/>
			<vsmfaces:outputLabel for="portvlanId" id="portvlanIdlbl"
				value="#{msg.LBL_ETHDIALOG_PVID}" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.pvid}"/>
			<vsmfaces:inputText id="portvlanId"
				uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.pvid}"
				maxlength="9"
				disabled="#{!manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added}" labelId="portvlanIdlbl" required="true"/>
		</h:panelGrid>

		<h:outputText value="<P></P>" escape="false" id="ethtext3"/>

		<h:panelGrid id="ethpanel3">
			<h:outputText value="#{msg.LBL_ETHDIALOG_IEEE}"
				styleClass="headerText" id="ethtext4"/>
			<h:outputText value="#{msg.LBL_ETHDIALOG_IEEEDESC}"
				styleClass="outputText" id="ethtext445643"/>	
		</h:panelGrid>

		<h:panelGrid id="ieepanelId">

			<hx:ajaxRefreshSubmit id="dialogRefesh" />

			<h:panelGrid columns="3" id="ethpanel5">

				<vsmfaces:selectBooleanCheckBox id="ieeecompid"
					uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.ieeeCompatible}"
					labelId="ieeecomplbl" disabled="#{!(manageVirAdaptersUIBean.editEthernetMode || manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added)}" onclick="processEthernetChanges();">
					<hx:behavior event="onclick" targetAction="ieepanelId"
						behaviorAction="get;stop" />
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel for="ieeecompid"
					value="#{msg.LBL_ETHDIALOG_IEEECOMP}" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.ieeeCompatible}" id="ieeecomplbl"/>
			</h:panelGrid>

			<h:panelGrid columns="2" styleClass="columnEthAdapAlign" id="ethpanel6">
				<usmc:outputLabel for="maxvlanid" value="#{msg.LBL_ETHDIALOG_EX}" id="ethlabel1"/>
				<h:outputText value="#{manageVirAdaptersUIBean.maxVLANSPerPort}"
					id="maxvlanid" />
			</h:panelGrid>


			<hx:panelBox layout="pageDirection" styleClass="columnEthAdapAlign" id="ethpanel7">
				<vsmfaces:outputLabel value="#{msg.LBL_ETHDIALOG_MAXVLAN}" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.additionalVLANS}" id="addVlanOutputLabel"/>
				<h:panelGrid columns="2" id="ethpanel8">
					<vsmfaces:inputText
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.additionalVLANS}"
						id="additionalvlanids"
						disabled="#{!(manageVirAdaptersUIBean.ethernetAdapter.ieeeCompatible.booleanValue && (manageVirAdaptersUIBean.editEthernetMode || manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added))}" 
						labelId="addVlanOutputLabel" onblur="processEthernetChanges();"/>
					<h:outputText value="#{msg.LBL_ETHDIALOG_ADDVLAB}" id="ethtext6"/>
				</h:panelGrid>
			</hx:panelBox>

		</h:panelGrid>

		<h:outputText value="<br>" escape="false" id="ethtext7"/>

		<h:panelGrid id="seapanelid">

			<hx:ajaxRefreshSubmit id="dialogSEARefesh" />

			<h:panelGrid id="ethpanel9">
				<h:outputText value="#{msg.LBL_ETHDIALOG__SEA}"
					styleClass="headerText" id="ethtext8"/>
				<h:outputText value="#{msg.LBL_ETHDIALOG__SEADESC}"
				styleClass="outputText" id="ethtext44578"/>	
			</h:panelGrid>

			<h:panelGrid columns="3" id="ethpanel10">
				<vsmfaces:selectBooleanCheckBox id="bridgeid"
					uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.bridged}"
					disabled="#{!manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added}" labelId="ethlable3">
					<hx:behavior event="onclick" targetAction="seapanelid"
						behaviorAction="get;stop" />
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel for="bridgeid"
					value="#{msg.LBL_ETHDIALOG__BRIDGE}" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.bridged}" id="ethlable3"/>
			</h:panelGrid>

			<hx:panelBox layout="pageDirection" styleClass="columnEthAdapAlign" id="ethpanel11">
				<vsmfaces:outputLabel value="#{msg.LBL_ETHDIALOG_PRIORITY}" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.priority}" id="priorityLabel"/>
				<h:panelGrid columns="2" id="ethpanel12">
					<vsmfaces:inputText id="priorityID"
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.priority}"
						disabled="#{!(manageVirAdaptersUIBean.ethernetAdapter.bridged.booleanValue && manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added)}"
						maxlength="2" labelId="priorityLabel" required="true"/>
					<h:outputText value="#{msg.LBL_ETHDIALOG_PRIORITYVALUES}" id="ethtext10"/>
				</h:panelGrid>
			</hx:panelBox>

		</h:panelGrid>

		<h:panelGrid id="VSwitchPanel"
			rendered="#{manageVirAdaptersUIBean.renderVSwitchPanel}" id="ethpanel13">
			<h:outputText value="<P>" escape="false" id="ethtext11"/>

			<h:panelGrid id="ethpanel14">
				<h:outputText value="#{msg.LBL_ETHDIALOG_VSWITCHHEADER}"
					styleClass="headerText" id="ethtext13"/>
			</h:panelGrid>

			<h:panelGrid columns="2" id="ethpanel15">
				<h:outputText value="#{msg.LBL_ETHDIALOG_VSWITCH}" id="ethtext14"/>
				<h:selectOneMenu
					value="#{manageVirAdaptersUIBean.ethernetAdapter.switchName.value}"
					disabled="#{!manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added}">
					<f:selectItems value="#{manageVirAdaptersUIBean.vswitchs}" />
				</h:selectOneMenu>
			</h:panelGrid>

		</h:panelGrid>
		
		<!--  Expand/collapse section for Advanced Settings -->

				<hx:panelSection id="advancedEthenetPanelSection"
					styleClass="panelSectionDPSMWide"
					title="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" initClosed="true" rendered="#{host_config.vsnCapable}">
					<f:facet name="closed">
						<hx:jspPanel id="advVeth1">
							<hx:graphicImageEx id="pvolid6" align="middle"
								value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
								border="0" hspace="0" vspace="0" />
							<h:outputText id="advVethtext1"
								value="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" />
						</hx:jspPanel>
					</f:facet>
					<f:facet name="opened">
						<hx:jspPanel id="advVeth2">
							<hx:graphicImageEx id="advVethid4" align="middle"
								value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
								border="0" hspace="0" vspace="0" />
							<h:outputText id="advVethtext2"
								value="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" />
						</hx:jspPanel>
					</f:facet>
			<h:outputText value="#{manageVirAdaptersUIBean.ethernetAdapter.selectedMacAddressRestriction}" id="initMacAddress" style="display: none"/>		
			<h:outputText value="#{manageVirAdaptersUIBean.ethernetAdapter.selectedQoSValue}" id="initQosValue" style="display: none"/>
			<h:panelGrid id="macAdressPanel" columns="1">
				<hx:ajaxRefreshSubmit id="macAddressPanelSubmit" />
				<h:panelGrid id="macAddressPanelStartedLpar" rendered="#{!manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added}" columns="2">
					<vsmfaces:outputLabel id="macAddressLabelStartedLpar" value="#{msg.LBL_MAC_ADDRESS_DISPLAY}" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.currentMacAddress}" for="macAddressCurrent"></vsmfaces:outputLabel>
					<vsmfaces:outputText id="macAddressCurrent" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.currentMacAddress}" ></vsmfaces:outputText>
				</h:panelGrid>
				<h:panelGrid id="macaddressPanelAuto1" columns="2" >
					<vsmfaces:outputLabel id="macAddressAutoAssignedLabel"
						for="macAddressAutoAssigned" value="#{msg.LBL_MAC_ADDRESS}"
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.autoAssignedMacAddress}"
						rendered="#{manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added}"></vsmfaces:outputLabel>
					<vsmfaces:selectBooleanCheckBox id="macAddressAutoAssigned"
						labelId="macAddressAutoAssignOverrideLabel"
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.autoAssignedMacAddress}" rendered="#{manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added}">
						<hx:behavior id="macAddressAutoAssignedBehaviourId"
							event="onclick" behaviorAction="get;stop"
							target="macAddressAutoAssigned" targetAction="macAdressPanel" />
					</vsmfaces:selectBooleanCheckBox>
				</h:panelGrid>
				<h:panelGrid id="CustomMacAddressPanel"
					rendered="#{(!manageVirAdaptersUIBean.ethernetAdapter.autoAssignedMacAddress.booleanValue) && manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.added}"
					columns="3">
					<vsmfaces:outputLabel id="customMacAddressInputTextLabel"
						for="customMacAddressInputText" value="#{msg.ENTER_MAC_ADDRESS}"
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.customMacAddress}" />
					<vsmfaces:inputText id="customMacAddressInputText"
						labelId="customMacAddressInputTextLabel"
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.customMacAddress}" onblur="processEthernetChanges();" ></vsmfaces:inputText>
				</h:panelGrid>
			</h:panelGrid>
			<h:panelGrid id="panelQoS" columns="3">
						<usmc:outputLabel id="qos" value="#{msg.LBL_QOS_VEA}"
							for="selectQoS" />
						<h:selectOneMenu id="selectQoS" 
							value="#{manageVirAdaptersUIBean.ethernetAdapter.selectedQoSValue}" onchange="processEthernetChanges();">
							<f:selectItems id="itemsQoSList"
								value="#{manageVirAdaptersUIBean.ethernetAdapter.qoSValueList}" />
						</h:selectOneMenu>
			</h:panelGrid>
			
			<h:panelGrid id="macAddressRestriction">
				<hx:ajaxRefreshSubmit id="macAddressRestrictionRequest" onstart="processEthernetChanges();"></hx:ajaxRefreshSubmit>
				<usmc:outputLabel id="macAddressRestrictionLabel" value="#{msg.LBL_MAC_ADDRESS_RESTRICTION}" for="macAddressRestrictionRadio"/>
				<h:selectOneRadio id="macAddressRestrictionRadio"
						value="#{manageVirAdaptersUIBean.ethernetAdapter.selectedMacAddressRestriction}" layout="pageDirection">
						<f:selectItems id="MacAddressItems" value="#{manageVirAdaptersUIBean.ethernetAdapter.macAddressResType}" />
						<hx:behavior id="macAddressRestrictionBehaviousId"
							event="onclick" behaviorAction="get;stop"
							target="macAddressRestrictionRadio" targetAction="macAddressRestriction"/>
				</h:selectOneRadio>
				<h:panelGrid id="customMacAddressRestrictionPanel" rendered="#{manageVirAdaptersUIBean.ethernetAdapter.renderCustomMacRestriction.booleanValue}">
					<vsmfaces:outputLabel id="customMacAddressRestrictionLabel"
						for="customMacAddressRestrictionInputText" value="#{msg.ENTER_MAC_ADDRESS}"
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.customMacAddressForRestriction}" />
					<vsmfaces:inputText id="customMacAddressRestrictionInputText"
						labelId="customMacAddressRestrictionLabel"
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.customMacAddressForRestriction}" onblur="processEthernetChanges();"></vsmfaces:inputText>
				</h:panelGrid>
			</h:panelGrid>
		</hx:panelSection>
		
		<h:outputText value="<P>" escape="false" id="ethtext16"/>
		<h:panelGrid columns="3" id="ethpanel17">
			<hx:commandExButton
				action="#{manageVirAdaptersUIBean.createEthernetAdapterSubmit}"
				value="#{msg.LBL_OK}" type="submit"
				id="ethokbutton_ethpage">
				<hx:behavior event="onclick"
					targetAction="ethernetAdapterPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>


			<hx:commandExButton value="#{msg.LBL_CANCEL}"
				action="#{manageVirAdaptersUIBean.createEthernetAdapterCancel}"
				type="submit" id="ethcreatecancelbutton">
				<hx:behavior event="onclick"
					targetAction="ethernetAdapterPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>
			
			<h:commandButton id="help_button_mvseth"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doEthAdapterHelp}" immediate="true">
				</h:commandButton>
			<exfaces:script type="text/javascript" value="
			document.getElementById(namespace+'manageServer_form:ethernetDialogView:ethokbutton_ethpage').disabled=true;
			
			function processEthernetChanges()
			{
				var enableButton = false;
				var inputTags = document.getElementsByTagName('input');
				if(inputTags.length > 0)
				{
					for(var index=0;index<inputTags.length;index++)
					{
						var elem = inputTags[index];
						if(elem.type == 'checkbox')
						{
							var elemId = elem.id;
							if(elemId.indexOf('_modifiedHiddenCheckBox') > -1 && elem.checked)
							{
								enableButton = true;
								break;
							}
						}
					}
				}
				
				if(!enableButton && document.getElementById(namespace+'manageServer_form:ethernetDialogView:selectQoS'))
				{
					var qosmenuElem = document.getElementById(namespace+'manageServer_form:ethernetDialogView:selectQoS');

					var userAgent = navigator.userAgent.toLowerCase();
					var isIE = ( userAgent.indexOf( 'msie' ) != -1 );
					var initQosValue;
					if(isIE)
						 initQosValue = document.getElementById(namespace+'manageServer_form:ethernetDialogView:initQosValue').innerText;
					else
						initQosValue = document.getElementById(namespace+'manageServer_form:ethernetDialogView:initQosValue').textContent;
					if(initQosValue == qosmenuElem.options[qosmenuElem.selectedIndex].value)
					{
						enableButton = false;
					}
					else
					{
						enableButton = true;
					}
				}
				
				if(!enableButton && document.getElementsByName(namespace+'manageServer_form:ethernetDialogView:macAddressRestrictionRadio'))
				{
					var radioElems = document.getElementsByName(namespace+'manageServer_form:ethernetDialogView:macAddressRestrictionRadio');
					var radElemLen = radioElems.length;
					if(radElemLen)
					{
						var radObj;
						for(var i=0;i<radElemLen;i++)
						{
							if(radioElems[i].checked)
							{
								radObj= radioElems[i].value;
								break;
							}
						}
						
						if(radObj)
						{
							var userAgent = navigator.userAgent.toLowerCase();
							var isIE = ( userAgent.indexOf( 'msie' ) != -1 );
							var initMacValue;
							if(isIE)
								 initMacValue = document.getElementById(namespace+'manageServer_form:ethernetDialogView:initMacAddress').innerText;
							else
								initMacValue = document.getElementById(namespace+'manageServer_form:ethernetDialogView:initMacAddress').textContent;
							if(initMacValue == radObj)
							{
								enableButton = false;
							}
							else
							{
								enableButton = true;
							}
						}
					}
				}
				
				if(enableButton)
				{
					document.getElementById(namespace+'manageServer_form:ethernetDialogView:ethokbutton_ethpage').disabled=false;
				}
				else
				{
					document.getElementById(namespace+'manageServer_form:ethernetDialogView:ethokbutton_ethpage').disabled=true;
				}
				return true;
			}" rendered="#{manageVirAdaptersUIBean.editEthernetMode}"/>
			<exfaces:script type="text/javascript" value="
			function processEthernetChanges()
			{
				return true;
			}" rendered="#{!manageVirAdaptersUIBean.editEthernetMode}"/>
		</h:panelGrid>
	</hx:panelBox>
</f:subview>
