<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="Add_LHEA_Port" >
	<f:loadBundle var="var" basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" />
		
		<h:panelGrid id="Add_LHEA_Port_PanelGrid" cellpadding="2" cellspacing="3" columns="1">
			<h:outputText id="LHEA_label_header1" value="#{var['HEAProp.LHEA_label_header1']} "></h:outputText>
			<h:outputText id="LHEA_label_header2" value="#{var['HEAProp.LHEA_label_header2']} "></h:outputText>
			<h:panelGroup id="LHEA_selectOneMenu_panelgroup">
				<h:outputText id="label_log_port" value="#{var['HEAProp.label_log_port']} "></h:outputText>
				<h:selectOneMenu id="LHEA_selectOneMenu" value="#{addHEAPort.selectedPort}">
				<f:selectItems value="#{addHEAPort.availableLHEAPort}" />
				</h:selectOneMenu>
			</h:panelGroup>
			<h:panelGroup id="LHEA_AllowAllVlan_panelgroup">
				<h:selectBooleanCheckbox id="VlanCheckbox" value="#{addHEAPort.allowAllVlan}" onchange="show()">
				</h:selectBooleanCheckbox>
				<h:outputText id="label_vlan1" value="#{var['HEAProp.label_vlan1']} "></h:outputText>
			</h:panelGroup>
			<h:panelGrid id="Vlan_panelGrid"  style="#{addHEAPort.displayType}" columns="1">
			
			<h:panelGroup>
				<h:outputText id="label_vlan2" value="#{var['HEAProp.label_vlan2']} "></h:outputText>
				<h:outputText id="label_vlan3" value="#{var['HEAProp.label_vlan3']} "></h:outputText>
			</h:panelGroup>	
			
			<h:panelGroup>
			<h:outputText id="label_vlan4" value="#{var['HEAProp.label_vlan4']} "></h:outputText>
			<h:inputText id="vlan_id_text"   size="6" value="#{addHEAPort.vlan_id_input}" validator="#{addHEAPort.validateVlanId}" maxlength="4">
			</h:inputText>
			<h:commandButton value="#{var['HEAProp.Add']}" id="addbutton" actionListener="#{addHEAPort.actionPerformed}">
			<f:attribute name="actionperformed_attr" value="Add"/>
            <hx:behavior behaviorAction="get;stop" event="onclick" targetAction="Allow_Vlan_PanelGroup" ></hx:behavior>
            </h:commandButton>
            </h:panelGroup>
            
            <h:panelGrid columns="2" id="Allow_Vlan_PanelGroup">
            <h:selectOneListbox id="vlan_ids_list"  value="#{addHEAPort.selectedVLANId}">
			<f:selectItems value="#{addHEAPort.vlan_id_list}" />
			</h:selectOneListbox>
			<h:commandButton value="#{var['HEAProp.Remove']}" id="removebutton" actionListener="#{addHEAPort.actionPerformed}" onclick="clear()">
			 <f:attribute name="actionperformed_attr" value="Remove"/>
            <hx:behavior behaviorAction="get;stop" event="onclick" targetAction="Allow_Vlan_PanelGroup" ></hx:behavior>
            </h:commandButton>
			</h:panelGrid>
            <hx:ajaxRefreshSubmit id="ajaxRefreshSubmit1" target="Allow_Vlan_PanelGroup" oncomplete="clear()"></hx:ajaxRefreshSubmit>
            </h:panelGrid>

		<h:panelGrid rendered="#{addHEAPort.vsnCapability}">
			<h:outputText id="macRestrictions" styleClass="outputText"
				style="font-weight:bold" value="#{var['HEAProp.label_mac1']} " />

			<h:panelGrid id="allowedMacAddressMainPanel">
				<h:selectOneRadio id="allowedMacAddress"
					value="#{addHEAPort.selectMacAddressType}" layout="pageDirection"
					valueChangeListener="#{addHEAPort.macAddressTypeModeChange}">
					<f:selectItems value="#{addHEAPort.selectedMacAddressType}" />
				</h:selectOneRadio>

				<h:panelGrid id="allowedMacAddressPanel" columns="2"
					rendered="#{addHEAPort.enableMacPanel}">
					<usmc:outputLabel id="allowedMacAddressId"
						for="allowedMacAddressValueId"
						value="#{var['HEAProp.label_mac5']}" />
					<h:inputText id="allowedMacAddressValueId"
						value="#{addHEAPort.allowedMacAddressValue}" />
				</h:panelGrid>
				
				<!-- The ajax part starts here -->
				<hx:ajaxRefreshSubmit id="ajRefresh_Allowed_MacAddress" />
				<hx:behavior id="ajBehavior_Allowed_MacAddress"
					target="allowedMacAddress" event="onclick"
					behaviorAction="get;stop" targetAction="allowedMacAddressMainPanel" />
				<!-- The ajax part ends here -->
				
			</h:panelGrid>

		</h:panelGrid>
		
		<f:verbatim><br /></f:verbatim>
		
		<h:panelGroup id="Button_PanelGroup">
				<hx:commandExButton value="#{var['HEAProp.Ok']}" action="#{AddLHEAPortId.submit}">
				<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
				</hx:commandExButton>
				<hx:commandExButton value="#{var['HEAProp.Cancel']}" action="#{AddLHEAPortId.cancel}" immediate="true">
				<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
				</hx:commandExButton>
			</h:panelGroup>
		</h:panelGrid>
	
</f:subview>


