<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="manageMemoryPanel" width="100%" cellpadding="0" cellspacing="0">
<h:outputText value="<p></p>" escape="false"/>
<usmc:messageBox id="messageBoxProcessorPanel"
                messageCollection="#{manageMemoryBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="false"
                closeListener="#{manageMemoryBean.handleClose}"
                />
<hx:ajaxRefreshSubmit id="sharedSectionAjax" />

<h:panelGrid id="memoryheader" width="100%">
	<h:outputText id="memoryConfigurationLbl"  value="#{msg.LBL_MEMORY_CONFIGURATION}" styleClass="headerText"/>
	<hx:outputSeparator color="#336699" id="memoryConfigurationSeparator"/>
</h:panelGrid>

<h:panelGrid id="memoryConfigurationGrid" columns="2" styleClass="panelGrid" width="70%" cellpadding="0" cellspacing="0" rendered="#{!manageMemoryUIBean.shared}">
		<h:panelGrid columns="4">
			<usmc:outputLabel id="totalMemoryLbl" for="totalMemory"  value="#{msg.LBL_TOTAL_MEMORY}" styleClass="panelGrid"/>
			<h:outputText id="totalMemory"  value="#{manageMemoryUIBean.totSysConfigMem}" />
			<h:outputText value="&nbsp;" escape="false"/>
			<hx:outputLinkEx id="memoryunitlink" style="text-decoration: none;" onclick="changeMemUnit();">
				<h:outputText value="#{msg.LBL_GB}" rendered="#{manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_GBTO_MB}"/>
				<h:outputText value="#{msg.LBL_MB}" rendered="#{!manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_MBTO_GB}"/>
			</hx:outputLinkEx>
		</h:panelGrid>
		<h:panelGrid columns="4">
			<usmc:outputLabel id="availableMemoryLbl" for="availableMemory"  value="#{msg.LBL_AVAILABLE_MEMORY}" styleClass="panelGrid"/>
			<h:outputText id="availableMemory" value="#{manageMemoryUIBean.availSysMem}"/>
			<h:outputText value="&nbsp;" escape="false"/>
			<hx:outputLinkEx id="memoryunitlink2" style="text-decoration: none;" onclick="changeMemUnit();">
			<h:outputText value="#{msg.LBL_GB}" rendered="#{manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_GBTO_MB}"/>
			<h:outputText value="#{msg.LBL_MB}" rendered="#{!manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_MBTO_GB}"/>
			</hx:outputLinkEx>
		</h:panelGrid>
</h:panelGrid>

<h:panelGrid id="memorypoolGrid" columns="2" styleClass="panelGrid" width="70%" cellpadding="0" cellspacing="0" rendered="#{manageMemoryUIBean.shared}">
		<h:panelGrid columns="4">
			<usmc:outputLabel id="maxpoolMemoryLbl" for="maxpoolMemory"  value="#{msg.LBL_MAX_POOLMEMORY}" styleClass="panelGrid"/>
			<h:outputText id="maxpoolMemory"  value="#{manageMemoryUIBean.maxpoolMem}" />
			<h:outputText value="&nbsp;" escape="false"/>
			<hx:outputLinkEx id="memoryunitlink3" style="text-decoration: none;" onclick="changeMemUnit();">
			<h:outputText value="#{msg.LBL_GB}" rendered="#{manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_GBTO_MB}"/>
			<h:outputText value="#{msg.LBL_MB}" rendered="#{!manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_MBTO_GB}"/>
			</hx:outputLinkEx>
		</h:panelGrid>
		<h:panelGrid columns="4">
			<usmc:outputLabel id="availpoolMemoryLbl" for="availpoolMemory"  value="#{msg.LBL_AVAILABLE_POOLMEMORY}" styleClass="panelGrid"/>
			<h:outputText id="availpoolMemory" value="#{manageMemoryUIBean.availpoolMem}"/>
			<h:outputText value="&nbsp;" escape="false"/>
			<hx:outputLinkEx id="memoryunitlink4" style="text-decoration: none;" onclick="changeMemUnit();">
			<h:outputText value="#{msg.LBL_GB}" rendered="#{manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_GBTO_MB}"/>
			<h:outputText value="#{msg.LBL_MB}" rendered="#{!manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_MBTO_GB}"/>
			</hx:outputLinkEx>
		</h:panelGrid>
</h:panelGrid>

<h:outputText value="<br>" escape="false"/>
<h:panelGrid width="100%">
	<h:outputText id="memoryLbl"  value="#{msg.LBL_MEMORY}" styleClass="headerText"/>
	<hx:outputSeparator color="#336699" id="memorySeparator"/>
</h:panelGrid>	

<h:panelGrid id="memProgessSesction" rendered="#{!manageMemoryUIBean.memoryPageRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="procspinImageEthernet" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="proctextethernet"></h:outputText>
			<h:outputText value="#{msg.LBL_INPROGRESS}" escape="false" id="procwaitingtext"/>
</h:panelGrid>

<h:panelGrid id="memorySection" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageMemoryUIBean.memoryPageRender}">
<h:outputText value="<p>" escape="false"/>

	<h:panelGrid columns="2">
		<vsmfaces:outputLabel id="memoryModeLbl" for="memoryMode"  value="#{msg.LBL_MODE}" uiproperty="#{manageMemoryUIBean.mode}"/>
		<vsmfaces:selectOneMenu id="memoryMode" uiproperty="#{manageMemoryUIBean.mode}" labelId="memoryModeLbl" onchange="processChanges();" dynamic="false">
		      <f:selectItems value="#{manageMemoryUIBean.modes}" />
		      <hx:behavior id="memoryModeBehaviour" event="onchange" behaviorAction="get;stop" target="memoryMode" targetAction="memorySection" />
		</vsmfaces:selectOneMenu>
	</h:panelGrid>

	<h:outputText value="<br>" escape="false"/>
	
	<h:panelGrid id="memoryDedicatedSection" cellpadding="0" cellspacing="0" width="100%" rendered="#{!manageMemoryUIBean.shared}">		
			<h:panelGrid id="modifyMemoryGrid"  columns="2" styleClass="columnLeftAlign">	
				<vsmfaces:outputLabel id="minMemorylbl"  for="minMemory" value="#{msg.LBL_MINIMUM}" uiproperty="#{manageMemoryUIBean.minMemory}"/>
				<vsmfaces:inputText id="minMemory" uiproperty="#{manageMemoryUIBean.minMemory}" labelId="minMemorylbl" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
					
				<h:outputText value=""/>
				<h:outputText value=""/>
				
				<vsmfaces:outputLabel id="assignedMemoryLbl" for="assignedMemory" value="#{msg.LBL_ASSIGNED}" uiproperty="#{manageMemoryUIBean.assignedMemory}"/>
				<vsmfaces:inputText id="assignedMemory" uiproperty="#{manageMemoryUIBean.assignedMemory}" labelId="assignedMemoryLbl" required="true" dynamic="true" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
				
				<h:outputText value=""/>
				<h:outputText value=""/>

				<vsmfaces:outputLabel id="maxMemoryLbl"  for="maxMemory" value="#{msg.LBL_MAXIMUM}" uiproperty="#{manageMemoryUIBean.maxMemory}" />
				<vsmfaces:inputText id="maxMemory" uiproperty="#{manageMemoryUIBean.maxMemory}" labelId="maxMemoryLbl" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
			</h:panelGrid>	
				
	</h:panelGrid>
	
	<h:panelGrid id="memorySharedSection" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageMemoryUIBean.shared && manageMemoryUIBean.mempoolAvail}">
		
		<h:panelGrid id="modifyMemoryGridshrd"  columns="2" styleClass="panelGrid" cellpadding="0" cellpadding="0" styleClass="columnLeftAlign">	
				<vsmfaces:outputLabel id="minMemorylblshrd"  for="minMemory" value="#{msg.LBL_MINIMUM}" uiproperty="#{manageMemoryUIBean.minSharedMemory}"/>
				<vsmfaces:inputText id="minMemoryshrd" uiproperty="#{manageMemoryUIBean.minSharedMemory}" labelId="minMemorylblshrd" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
				<h:outputText value=""/>
				<h:outputText value=""/>
				<vsmfaces:outputLabel id="assignedMemoryLblshrd" for="assignedMemory" value="#{msg.LBL_ASSIGNED}" uiproperty="#{manageMemoryUIBean.assignedSharedMemory}"/>
				<vsmfaces:inputText id="assignedMemoryshrd" uiproperty="#{manageMemoryUIBean.assignedSharedMemory}" labelId="assignedMemoryLblshrd" required="true" dynamic="true" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
				<h:outputText value=""/>
				<h:outputText value=""/>
				<vsmfaces:outputLabel id="maxMemoryLblshrd"  for="maxMemory" value="#{msg.LBL_MAXIMUM}" uiproperty="#{manageMemoryUIBean.maxSharedMemory}" />
				<vsmfaces:inputText id="maxMemoryshrd" uiproperty="#{manageMemoryUIBean.maxSharedMemory}" labelId="maxMemoryLblshrd" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
		</h:panelGrid>
			
		<h:outputText value="<br>" escape="false"/>	
		<h:panelGrid id="sharedMemoryAddl" cellpadding="0" cellspacing="0" columns="2" styleClass="columnLeftAlign">
			
			<vsmfaces:outputLabel id="memoryCapacityWeightLbl" value="#{msg.LBL_MEMORY_CAPACITY_WEIGHT}" for="memoryCapacityWeight"  uiproperty="#{manageMemoryUIBean.memCapacityWeight}"/>
			<vsmfaces:inputText id="memoryCapacityWeight" uiproperty="#{manageMemoryUIBean.memCapacityWeight}" labelId="memoryCapacityWeightLbl" onblur="processChanges();" dynamic="true" maxlength="3" onkeyup="processChanges();"/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<vsmfaces:outputLabel id="entitleMemoryLbl" value="#{msg.LBL_AUTO_IOENT}" for="entitleMemorySbc" uiproperty="#{manageMemoryUIBean.entitledMemoryIsAuto}"/>
			<h:panelGrid id="entitledpanelGrid" columns="6">				
				<vsmfaces:selectBooleanCheckBox id="entitleMemorySbc" uiproperty="#{manageMemoryUIBean.entitledMemoryIsAuto}" labelId="entitleMemoryLbl" onclick="processChanges();" disabled="#{!manageServerUIBean.vserverActionEnabled || (manageMemoryUIBean.entitledMemoryIsAuto.booleanValue && !manageMemoryUIBean.entitledMemoryIsAuto.modified) || !(manageServerUIBean.permission)}">
				 	<hx:behavior id="entitleMemoryModeBehaviour" event="onclick" behaviorAction="get;stop" target="entitleMemorySbc" targetAction="entitledpanelGrid" />
				</vsmfaces:selectBooleanCheckBox>
				<usmc:outputLabel id="autolbl" value="#{msg.LBL_IO_ENTITLED_MEMORY}" for="autoEntitleMemory" rendered="#{manageMemoryUIBean.entitledMemoryIsAuto.booleanValue}"/>
				<vsmfaces:outputLabel id="customLbl" value="#{msg.LBL_IO_ENTITLED_MEMORY}" uiproperty="#{manageMemoryUIBean.entitledMemory}" rendered="#{!manageMemoryUIBean.entitledMemoryIsAuto.booleanValue}"/>
				<h:outputText value="&nbsp;" escape="false"/>
				<h:outputText id="autoEntitleMemory" value="#{manageMemoryUIBean.autoEntitledMemory}" rendered="#{manageMemoryUIBean.entitledMemoryIsAuto.booleanValue}" />
				<vsmfaces:inputText id="entitleMemory" uiproperty="#{manageMemoryUIBean.entitledMemory}" rendered="#{!manageMemoryUIBean.entitledMemoryIsAuto.booleanValue}" onblur="processChanges();" labelId="customLbl" dynamic="true" maxlength="9" required="true" onkeyup="processChanges();"/>
								
			</h:panelGrid>
			
		</h:panelGrid>
		<h:outputText value="<br>" escape="false"/>
		
		<h:panelGrid id="pspprogessSesction" rendered="#{!manageMemoryUIBean.psppanelRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="spinImagePSP" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="opttextpspspace"></h:outputText>
			<h:outputText value="#{msg.LBL_MEM_PSPINPROGRESS}" id="optxtpsp"/>
		</h:panelGrid>
		
		<h:panelGrid id="psppanel" cellpadding="0" cellspacing="0" rendered="#{manageMemoryUIBean.psppanelRender}">
		
			<h:outputText value="#{msg.LBL_PSP_HEADER}" styleClass="headerText"/>
			
			<h:panelGrid id="primarypsppanel" columns="6" styleClass="columnLeftAlign">
				<vsmfaces:outputLabel value="#{msg.LBL_PRIMARY_PSP}" id="primaryviostextid" uiproperty="#{manageMemoryUIBean.primaryPSPName}" for="primaryPSP"/>
				
				<h:panelGrid columns="3">
				<vsmfaces:selectOneMenu id="primaryPSP" uiproperty="#{manageMemoryUIBean.primaryPSPName}" onchange="processChanges();" disabled="#{manageMemoryUIBean.alwaysDisabled}">
					<f:selectItems value="#{manageMemoryUIBean.primaryVIOSList}"/>
				</vsmfaces:selectOneMenu>
				<h:outputText value="&nbsp;" escape="false"/>
				<hx:graphicImageEx id="psp1image" value="/images/statusNormal_obj10.gif" rendered="#{manageMemoryUIBean.primaryPSPCurr}" alt="#{msg.LBL_CURR_USEDPSP}" title="#{msg.LBL_CURR_USEDPSP}"/>
				</h:panelGrid>
				
				<h:outputText value="&nbsp;" escape="false"/>
				<h:outputText value="&nbsp;" escape="false"/>
				
				<usmc:outputLabel value="#{msg.LBL_PRIMARYPSP_DEVICE}" id="primarypspdevicelbl" for="primarypspdevicetext"/>
				<h:outputText value="#{manageMemoryUIBean.primaryDeviceInfo}" id="primarypspdevicetext"/>
					
				<vsmfaces:outputLabel value="#{msg.LBL_SECONDARY_PSP}" id="secviostextid" for="secondaryPSP" uiproperty="#{manageMemoryUIBean.secondaryPSPName}" rendered="#{host_config.memConfig.amsRendundantCapable}"/>
				<h:panelGrid columns="3" rendered="#{host_config.memConfig.amsRendundantCapable}">
				<vsmfaces:selectOneMenu id="secondaryPSP" uiproperty="#{manageMemoryUIBean.secondaryPSPName}" onchange="processChanges();" disabled="#{manageMemoryUIBean.alwaysDisabled}">
					<f:selectItems value="#{manageMemoryUIBean.secondaryVIOSList}"/>
				</vsmfaces:selectOneMenu>
				<h:outputText value="&nbsp;" escape="false"/>
				<hx:graphicImageEx id="psp2image" value="/images/statusNormal_obj10.gif" rendered="#{manageMemoryUIBean.secondaryPSPCurr}" alt="#{msg.LBL_CURR_USEDPSP}" title="#{msg.LBL_CURR_USEDPSP}"/>
				</h:panelGrid>
				
				<h:outputText value="&nbsp;" escape="false" rendered="#{host_config.memConfig.amsRendundantCapable}"/>
				<h:outputText value="&nbsp;" escape="false" rendered="#{host_config.memConfig.amsRendundantCapable}"/>
				
				<usmc:outputLabel value="#{msg.LBL_SECONDARYPSP_DEVICE}" id="secpspdevicelbl" for="secpspdevice" rendered="#{host_config.memConfig.amsRendundantCapable}"/>
				<h:outputText value="#{manageMemoryUIBean.secondaryDeviceInfo}" id="secpspdevice" rendered="#{host_config.memConfig.amsRendundantCapable}"/>
			</h:panelGrid>
		</h:panelGrid>
			
	</h:panelGrid>
	
	<h:panelGrid id="memorySharedNonpool" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageMemoryUIBean.shared && !manageMemoryUIBean.mempoolAvail}">
		<h:outputText value="#{msg.LBL_NOPOOL_AVAIL}"/>
	</h:panelGrid>
	
	<h:outputText value="<br>" escape="false"/>
	
	<h:panelGrid id="amemainpanel" rendered="#{manageMemoryUIBean.renderAMEPanel}">
		<h:outputText value="#{msg.LBL_AMETITLE}" styleClass="headerText"/>
		<h:panelGrid id="amepanel" columns="6" styleClass="columnLeftAlign">
			<vsmfaces:outputLabel id="amecheckboxlbl" for="amecheckbox" uiproperty="#{manageMemoryUIBean.activeMemoryExpansionIsEnabled}" value="#{msg.LBL_AMEENBTEXT}"/>
			<vsmfaces:selectBooleanCheckBox id="amecheckbox" uiproperty="#{manageMemoryUIBean.activeMemoryExpansionIsEnabled}" dynamic="false" labelId="amecheckboxlbl" onclick="processChanges();">
				<hx:behavior event="onclick" targetAction="amepanel" behaviorAction="get;stop"/>
			</vsmfaces:selectBooleanCheckBox>
			<h:outputText value="&nbsp;" escape="false"/>
			<vsmfaces:outputLabel id="amefactorlbl" for="amefactor" uiproperty="#{manageMemoryUIBean.activeMemoryExpansionFactor}" value="#{msg.LBL_AMEFACTOR_TEXT}" rendered="#{manageMemoryUIBean.activeMemoryExpansionIsEnabled.booleanValue}"/>
			<vsmfaces:inputText id="amefactor" uiproperty="#{manageMemoryUIBean.activeMemoryExpansionFactor}" labelId="amefactorlbl" maxlength="5" 
			disabled="#{(!manageServerUIBean.vserverActionEnabled || manageMemoryUIBean.amepanelDisabled) || !(manageServerUIBean.permission)}" rendered="#{manageMemoryUIBean.activeMemoryExpansionIsEnabled.booleanValue}" required="true" onblur="processChanges();" onkeyup="processChanges();"/>
			<h:outputText value="#{msg.LBL_AMEFACTOR_RANGE}" rendered="#{manageMemoryUIBean.activeMemoryExpansionIsEnabled.booleanValue}"/>
		</h:panelGrid>
	</h:panelGrid>	
	
</h:panelGrid>

<hx:panelSection id="advancedMemPanelSection"
		styleClass="panelSectionDPSMWide" initClosed="true" rendered="#{!(manageMemoryUIBean.shared || manageServerUIBean.suspendedRRVServer) && 
		((manageServerUIBean.rpaEnv && host_config.memConfig.hugeMemCapable) || (host_config.memConfig.bsrCapable))}">
		<f:facet name="closed">
			<hx:jspPanel id="id5Mem">
				<hx:graphicImageEx id="id6Mem" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vtext1Mem" value="#{msg.LBL_ADVMEM_HEADER}" title="#{msg.LBL_ADVMEM_HEADER}"/>
			</hx:jspPanel>
		</f:facet>
		<f:facet name="opened">
			<hx:jspPanel id="id3Mem">
				<hx:graphicImageEx id="id4Mem" align="middle"
					value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vtext2Mem" value="#{msg.LBL_ADVMEM_HEADER}" title="#{msg.LBL_ADVMEM_HEADER}"/>
			</hx:jspPanel>
		</f:facet>	

		<h:panelGrid id="advancedmemProgessSesction" rendered="#{!manageMemoryUIBean.advancedMemoryPageRender}" cellpadding="0" cellspacing="0" columns="3">
					<hx:graphicImageEx id="advancedspinImageEthernet" value="/images/processing.gif"/>
					<h:outputText value="&nbsp;" escape="false" id="advancedtextethernet"></h:outputText>
					<h:outputText value="#{msg.LBL_INPROGRESS}" escape="false" id="advancedwaitingtext"/>
		</h:panelGrid>
		
		<h:panelGrid id="hugePagebsrpanel" width="100%" columns="2" columnClasses="generalCol1,generalCol2" rendered="#{manageMemoryUIBean.advancedMemoryPageRender}">
		
		<h:panelGrid rendered="#{manageServerUIBean.rpaEnv && host_config.memConfig.hugeMemCapable}">
			<h:outputText id="hugePagememoryLbl"  value="#{msg.LBL_HUGE_PAGE_MEMORY}" styleClass="headerText"/>
			<h:panelGrid id="hugepagesystemInfoGrid" styleClass="columnLeftAlign" columns="5">
				<usmc:outputLabel id="capcityHugePageLbl" value="#{msg.LBL_MAX_HUGEPAGE}" for="capacityHugePagevalue"/>
				<h:outputText value="#{manageMemoryUIBean.capacityHugePage}" id="capacityHugePagevalue"/>
				<h:outputText value="&nbsp;" escape="false"/>
				<usmc:outputLabel id="availhugepagelbl" for="availhugepagevalue" value="#{msg.LBL_AVAIL_HUGEPAGE}"/>
				<h:outputText value="#{manageMemoryUIBean.availHugePage}" id="availhugepagevalue"/>
			</h:panelGrid>		
			<h:panelGrid id="hugePageMemoryyGrid"  columns="2" styleClass="columnLeftAlign" cellpadding="0" cellpadding="0" >
					<vsmfaces:outputLabel id="minHugePageMemorylbl"  for="minHugePageMemory" value="#{msg.LBL_MINIMUM}" uiproperty="#{manageMemoryUIBean.minHugeMemory}"/>
					<vsmfaces:inputText id="minHugePageMemory" uiproperty="#{manageMemoryUIBean.minHugeMemory}" labelId="minHugePageMemorylbl" onblur="processChanges();" dynamic="false" required="true" maxlength="9" onkeyup="processChanges();"/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<vsmfaces:outputLabel id="assignedHugePageMemoryLbl" for="assignedHugePageMemory" value="#{msg.LBL_ASSIGNED}" uiproperty="#{manageMemoryUIBean.assignedHugeMemory}"/>
					<vsmfaces:inputText id="assignedHugePageMemory" uiproperty="#{manageMemoryUIBean.assignedHugeMemory}" labelId="assignedHugePageMemoryLbl" onblur="processChanges();" dynamic="false" required="true" maxlength="9" onkeyup="processChanges();"/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<vsmfaces:outputLabel id="maxHugePageMemoryLbl"  for="maxHugePageMemory" value="#{msg.LBL_MAXIMUM}" uiproperty="#{manageMemoryUIBean.maxHugeMemory}"/>
					<vsmfaces:inputText id="maxHugePageMemory" uiproperty="#{manageMemoryUIBean.maxHugeMemory}" labelId="maxHugePageMemoryLbl" onblur="processChanges();" dynamic="false" required="true" maxlength="9" onkeyup="processChanges();"/>
			</h:panelGrid>
		</h:panelGrid>
		
			<h:panelGrid rendered="#{host_config.memConfig.bsrCapable}" styleClass="panelGrid">
				<h:outputText id="bsrtitle" value="#{msg.LBL_BSR_TITLE}" styleClass="headerText"/>
				<h:panelGrid id="bsrarraypanel" styleClass="columnLeftAlign" columns="3">
					<usmc:outputLabel id="totalBsrArray" for="totalbsrarrayText" value="#{msg.LBL_TOTALBSRARRAY}"/>
					<h:outputText value="&nbsp;" escape="false"/>
					<h:outputText id="totalbsrarrayText" value="#{host_config.memConfig.totalBSRArrays}"/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<usmc:outputLabel id="availBsrArray" for="availbsarrayText" value="#{msg.LBL_AVAILBSRARRAY}"/>
					<h:outputText value="&nbsp;" escape="false"/>
					<h:outputText id="availbsarrayText" value="#{host_config.memConfig.availBSRArrays}"/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<vsmfaces:outputLabel id="bsrArraybl"  for="bsrArray" value="#{msg.LBL_BSR_ARRAY}" uiproperty="#{manageMemoryUIBean.bsrArrays}" />
					<h:outputText value="&nbsp;" escape="false"/>
					<vsmfaces:inputText id="bsrArray" uiproperty="#{manageMemoryUIBean.bsrArrays}" labelId="bsrArraybl" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>	
				</h:panelGrid>	
			</h:panelGrid>
					
		</h:panelGrid>
		
</hx:panelSection>
</hx:panelBox>
