<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="managephyadapterPanel" width="100%" cellpadding="0" cellspacing="0">
<h:outputText value="<p><p>" escape="false"/>
<usmc:messageBox id="messageBoxphyAdapterPanel"
                messageCollection="#{managePhyIOBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="false"
                closeListener="#{managePhyIOBean.handleClose}"
                />
                
 <hx:ajaxRefreshSubmit id="managephyadapterpanelRefresh"/>
 
<hx:panelSection id="physicalAdapPanelSection" styleClass="panelSectionDPSMWide"
			title="#{msg.LBL_PHYADAP}" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="paid5">
				<hx:graphicImageEx id="paid6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="pAtext1" value="#{msg.LBL_PHYADAP}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="paid3">
				<hx:graphicImageEx id="paid4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="patext2" value="#{msg.LBL_PHYADAP}"/>	
				</hx:jspPanel>
			</f:facet>
			
			<hx:panelDialog id="physicalAdapterPanelDialog" rendered="false">						
				</hx:panelDialog>
		
		<hx:ajaxRefreshSubmit id="phyAdapsortRefresh"/>
		
		<h:panelGrid id="phyAdapprogessSesction" rendered="#{!manageAdaptersUIBean.phyAdapPageRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="spinImagephyAdap" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="opttextphyadap"></h:outputText>
			<h:outputText value="#{msg.LBL_INPROGRESS}" escape="false" id="optxtphyadap"/>
		</h:panelGrid>
		
		<h:panelGrid id="phyadapdispsection" width="100%" cellpadding="0" cellspacing="0" rendered="#{manageAdaptersUIBean.phyAdapPageRender}">

		<hx:commandExButton value="" action="#{manageAdaptersUIBean.sortphyIOtable}" style="display : none" id="phyadapsortbutton">
							<hx:behavior event="onclick" targetAction="phyadaptablewrapperPanel" behaviorAction="get;stop" target="phyadapsortbutton"/>	
			</hx:commandExButton>
			
			<h:inputText value="#{manageAdaptersUIBean.sortColumnId}" style="display : none" id="phyadapSortColumn"/>		
		
		<h:panelGrid id="phyadapterPanel" border="0" cellpadding="0" cellspacing="0" width="90%">
		
		<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="phyAdaptoolbarTable" 
		columns="5" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageAdaptersUIBean.renderPhyAdapTable && manageServerUIBean.permission}">
		
		<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
						
		<hx:commandExButton styleClass="wclTableButton" id="phyAdapaddid"
			action="#{manageAdaptersUIBean.addphysicalAdapter}"
			value="#{msg.LBL_ADD_ADAPTER}" disabled="#{!(manageAdaptersUIBean.availphyadap && manageServerUIBean.vserverActionEnabled)}">
			<hx:behavior event="onclick" targetAction="physicalAdapPanelSection" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
		<hx:commandExButton id="phyadapdelid"
						action="#{manageAdaptersUIBean.deletephysicalAdapter}" styleClass="commandExButton" type="submit" value="#{msg.LBL_REMOVE_ADAPTER}"
						disabled="#{!(manageServerUIBean.vserverActionEnabled)}">
			<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>
		</hx:commandExButton>
				
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
		</h:panelGrid>
		
		
		<h:panelGrid id="phyadaptablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{manageAdaptersUIBean.renderPhyAdapTable}">		
		
		<hx:dataTableEx id="phyadapTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageAdaptersUIBean.phyAdapDetails}"
					var="phyadapterslist" width="100%" scrollSize="#{manageAdaptersUIBean.phyadapTblScrollSize}">
					
					<hx:columnEx rendered="#{manageServerUIBean.permission}" style="text-align: center;width: 15%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">							
							<usmc:outputLabel styleClass="outputLabel"
								id="phyadapSelectlabel" for="phyadapselectid"
								value="#{msg.LBL_TBL_SELECT}" />
							</h:panelGrid>	
						</f:facet>
						<h:selectBooleanCheckbox value="#{phyadapterslist.phyLocation.selected}" onclick="handleTableRowTaskSelection('ManagePhyIOPanel:phyadapTable',true,true,
						null,'ManagePhyIOPanel:phyadapdelid',null,null);"/>
					</hx:columnEx>

					<hx:columnEx id="phyadapLocCol">
						<f:facet name="header">						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">						
						<usmc:outputLabel styleClass="outputLabel"
								id="phyadaploclblid" for="phyadaplocid"
								value="#{msg.LBL_PHYADAP_LOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapsortbutton','phyadaplocCol','manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapSortColumn');"/>
							</h:panelGrid>							
						</f:facet>
						<vsmfaces:outputText uiproperty="#{phyadapterslist.phyLocation}" />
						<hx:graphicImageEx value="/images/warning_obj16.gif" rendered="#{phyadapterslist.reassigmentWarn}" title="#{msg.LBL_IOREASSIGN_WARN}"/>
					</hx:columnEx>

					<hx:columnEx id="phyadapdescription">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="phyadapdesclbl"
									value="#{msg.LBL_TBL_DESCRIPTION}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapsortbutton','phyadapdescCol','manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapSortColumn');"/>
							</h:panelGrid>	
						</f:facet>
						<h:outputText value="#{phyadapterslist.description}"/>
					</hx:columnEx>

					<hx:columnEx id="phyadapbusId">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel id="phyadapbusidlabl"
										styleClass="outputLabel" value="#{msg.PHYADAP_BUSID}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
									'manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapsortbutton','phyadapBusidCol','manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapSortColumn');"/>
							</h:panelGrid>
						</f:facet>
						<h:outputText value="#{phyadapterslist.busId}"/>
					</hx:columnEx>
					
					<hx:columnEx id="phyadapoolId">
						<f:facet name="header">						
							<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel id="phyadapPoolIdlabel"
								styleClass="outputLabel" value="#{msg.LBL_PHYADAP_POOLID}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapsortbutton','phyadapPoolIdCol','manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapSortColumn');"/>
							</h:panelGrid>		
						</f:facet>
						<h:outputText value="#{phyadapterslist.poolId}" escape="false"/>
					</hx:columnEx>
				</hx:dataTableEx>
			
			</h:panelGrid>	
			
			<exfaces:script type="text/javascript" value="alignCol('manageServer_form:ManageServerVTabView:ManagePhyIOPanel:phyadapTable');" 
			rendered="#{manageAdaptersUIBean.phyadapTblScrollable}"/>
			
			<h:outputText value="#{manageAdaptersUIBean.emptyPhyAdapString}" rendered="#{!manageAdaptersUIBean.renderPhyAdapTable}"/>
			<hx:commandExButton styleClass="buttonRegular" id="phyadapaterAddid"
			action="#{manageAdaptersUIBean.addphysicalAdapter}"
			value="#{msg.LBL_ADD_ADAPTER}" rendered="#{!manageAdaptersUIBean.renderPhyAdapTable && manageAdaptersUIBean.availphyadap && manageServerUIBean.permission}" disabled="#{!(manageServerUIBean.vserverActionEnabled)}">
			<hx:behavior event="onclick" targetAction="physicalAdapPanelSection" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
			<exfaces:script rendered="#{manageAdaptersUIBean.renderPhyAdapTable}" type="text/javascript" 
			value="handleTableRowTaskSelection('ManagePhyIOPanel:phyadapTable',true,true,
						null,'ManagePhyIOPanel:phyadapdelid',null,null);"/>				
				
			</h:panelGrid>			
			</h:panelGrid>
				
</hx:panelSection>
</hx:panelBox>