<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="manageProcessorMainPanel" width="100%" cellpadding="0" cellspacing="0">
<h:outputText value="<p></p>" escape="false"/>
<usmc:messageBox id="messageBoxProcessorPanel"
                messageCollection="#{manageProcessorBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="false" 
                closeListener="#{manageProcessorBean.handleClose}"
                />
                
<hx:ajaxRefreshSubmit id="sharedSectionAjax" />

<!-- Processor Configuration -->
<h:panelGrid width="100%">
	<h:outputText id="processorConfigurationLbl"  value="#{msg.LBL_PROCESSOR_CONFIGURATION}" styleClass="headerText"/>
	<hx:outputSeparator color="#336699" id="processorConfigurationSeparator"/>
</h:panelGrid>	

<h:panelGrid id="processorConfigurationGridGeneral" columns="3" styleClass="panelGrid" cellpadding="2" cellspacing="3" width="100%">

	<h:panelGrid id="processorAvailablityGrid" columns="2" styleClass="panelGrid" cellpadding="2" cellpadding="3" rendered="#{!manageProcessorUIBean.shared}">
			<usmc:outputLabel id="totalProcessorsLbl" for="totalProcessors"  value="#{msg.LBL_TOTAL_PROCESSORS}" styleClass="panelGrid"/>
			<h:outputText id="totalProcessors"  value="#{host_config.processorConfig.configurableProcUnits}" />
			<usmc:outputLabel id="availableProcessorsLbl" for="availableProcessors"  value="#{msg.LBL_AVAILABLE_PROCESSORS}" styleClass="panelGrid"/>
			<h:outputText id="availableProcessors" value="#{host_config.processorConfig.currAvailProcUnits}"/>
		</h:panelGrid>
		
<!-- Max Processor Per Virtual Server -->
	
			<!-- Max Processor Per Virtual Server -->
		<h:panelGrid id="processorPoolAvailabilityGrid" columns="2" styleClass="panelGrid" cellpadding="2" cellpadding="3"  rendered="#{manageProcessorUIBean.shared}">	
			<usmc:outputLabel id="totalProcUnitsInPoolLbl" for="totalProcUnitsInPool" value="#{msg.LBL_TOTAL_PROCESSING_UNITS_IN_POOL}" styleClass="panelGrid"/>
			<h:outputText id="totalProcUnitsInPool"  value="#{manageProcessorUIBean.poolSize}" />
			<usmc:outputLabel id="availableProcUnitsInPoolLbl" for="availableProcUnitsInPool"  value="#{msg.LBL_POOL_AVAILABLE_PROCESSING_UNITS_IN_POOL}" styleClass="panelGrid"/>
			<h:outputText id="availableProcUnitsInPool"  value="#{manageProcessorUIBean.availableProcUnitsInPool}" />
		</h:panelGrid>
		
		<!-- Max Processor Per Virtual Server -->
		<h:panelGrid id="maxProcessorGrid" columns="2" styleClass="panelGrid" cellpadding="2" cellpadding="3"  >	
			<usmc:outputLabel id="maxProcessingUnitsLbl" for="maxProcessingUnits" value="#{msg.LBL_MAX_PROCESSING_UNITS}" styleClass="panelGrid" rendered="#{!manageProcessorUIBean.shared}"/>
			<h:outputText id="maxProcessingUnits"  value="0" rendered="#{!manageProcessorUIBean.shared}"/>
			<usmc:outputLabel id="maxVirtualProcessorsPerVServerLbl" for="maxVirtualProcessorsPerVServer"  value="#{msg.LBL_MAX_VIRTUAL_PROCESSORS}" styleClass="panelGrid" rendered="#{manageProcessorUIBean.shared}"/>
			<h:outputText id="maxVirtualProcessorsPerVServer"  value="#{manageProcessorUIBean.maxProcessorsPerVServer}" rendered="#{manageProcessorUIBean.shared}"/>
		</h:panelGrid>		

</h:panelGrid>

<h:panelGrid width="100%">
<h:outputText id="processorsLbl"  value="#{msg.LBL_PROCESSOR}" styleClass="headerText"/>
<hx:outputSeparator color="#336699" id="ProcessorModeSeparator"/>	
</h:panelGrid>

<h:panelGrid id="prcprogessSesction" rendered="#{!manageProcessorUIBean.processorPageRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="procspinImageEthernet" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="proctextethernet"></h:outputText>
			<h:outputText value="#{msg.LBL_INPROGRESS}" escape="false" id="procwaitingtext"/>
</h:panelGrid>		

<!-- Processor Mode -->
<h:panelGrid id="procmodifypanel" width="100%" rendered="#{manageProcessorUIBean.processorPageRender}">
	
	<h:panelGrid columns="2">
	<vsmfaces:outputLabel id="processorModeLbl" for="processorMode"  value="#{msg.LBL_MODE}" uiproperty="#{manageProcessorUIBean.mode}"/>
		<vsmfaces:selectOneMenu id="processorMode" uiproperty="#{manageProcessorUIBean.mode}" labelId="processorModeLbl" onchange="processChanges();" dynamic="false">
		      <f:selectItems value="#{manageProcessorUIBean.modes}" />
		      <hx:behavior id="procModeBehaviour" event="onchange" behaviorAction="get;stop" target="processorMode" targetAction="modifyProcessorsGrid" />
		</vsmfaces:selectOneMenu>
	</h:panelGrid>	

<!-- Processor Units -->	
	 <h:outputText value="<br>" escape="false"/>
	 
	 <h:panelGrid id="modifyProcessorsGrid" styleClass="panelGrid" cellpadding="0" cellspacing="0" width="100%">
	 
	 <h:panelGrid id="dedicatedPanelGrid" styleClass="panelGrid" cellpadding="0" cellspacing="0" width="100%" rendered="#{!manageProcessorUIBean.shared}">
	 	<h:outputText value="#{msg.LBL_PROCESSORS}" styleClass="headerText"/>
	 	<h:outputText value="<br>" escape="false"/>
	 	<h:panelGrid columns="2" styleClass="columnLeftAlign">
			<vsmfaces:outputLabel id="minProcessorlbl"  for="minProcessors" value="#{msg.LBL_MINIMUM}" uiproperty="#{manageProcessorUIBean.minProcessors}"/>
			<vsmfaces:inputText id="minProcessors" uiproperty="#{manageProcessorUIBean.minProcessors}" labelId="minProcessorlbl" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>	 	
			<h:outputText value=""/>
			<h:outputText value=""/>
			<vsmfaces:outputLabel id="assignedProcessorLbl" for="assignedProcessors"  value="#{msg.LBL_ASSIGNED}" uiproperty="#{manageProcessorUIBean.assignedProcessors}"/>
			<vsmfaces:inputText id="assignedProcessors" uiproperty="#{manageProcessorUIBean.assignedProcessors}" labelId="assignedProcessorLbl" required="true" dynamic="true" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
			<h:outputText value=""/>
			<h:outputText value=""/>
	 		<vsmfaces:outputLabel id="maxProcessorLbl"  for="maxProcessors" value="#{msg.LBL_MAXIMUM}" uiproperty="#{manageProcessorUIBean.maxProcessors}"/>
			<vsmfaces:inputText id="maxProcessors" uiproperty="#{manageProcessorUIBean.maxProcessors}" labelId="maxProcessorLbl" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
		</h:panelGrid>	
		
		<h:outputText value="<br>" escape="false"/>
		
		<h:panelGrid columns="2" id="dedicatedSharingpanel" rendered="#{host_config.processorConfig.activeVServerShareIdleProcsCapable}" styleClass="columnLeftAlign">

			<vsmfaces:outputLabel id="dedicatedSharingModeLbl" for="dedicatedSharingMode" value="#{msg.LBL_SHARE_IDLEPROCESSORS_WHEN}" uiproperty="#{manageProcessorUIBean.sharingMode}"/>
			<vsmfaces:selectOneMenu id="dedicatedSharingMode" uiproperty="#{manageProcessorUIBean.sharingMode}" onchange="processChanges();" labelId="dedicatedSharingModeLbl" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped) && manageServerUIBean.permission)}">
		      <f:selectItems value="#{manageProcessorUIBean.sharingModes}" />
		 	</vsmfaces:selectOneMenu>			
		 	
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<vsmfaces:outputLabel id="procCompatibilityModeLbl" for="procCompatibilityMode" value="#{msg.LBL_PROCESSOR_COMPATIBILITY_MODE}" uiproperty="#{manageProcessorUIBean.compatMode}"/>
			<vsmfaces:selectOneMenu id="procCompatibilityMode" uiproperty="#{manageProcessorUIBean.compatMode}" onchange="processChanges();" labelId="procCompatibilityModeLbl" dynamic="false">
		      <f:selectItems value="#{manageProcessorUIBean.compatModes}" />
		 	</vsmfaces:selectOneMenu>
		 	
		 	<h:outputText value=""/>
			<h:outputText value=""/>

			<vsmfaces:outputLabel id="procsharedprocutilLbl1" for="procsharedprocutil1" uiproperty="#{manageProcessorUIBean.sharedPoolUtilizationAuthority}" value="#{msg.LBL_PERFORMANCE_INFORMATION_COLLECTION}"/>			
			<vsmfaces:selectBooleanCheckBox id="procsharedprocutil1" uiproperty="#{manageProcessorUIBean.sharedPoolUtilizationAuthority}" disabled="#{!manageServerUIBean.permission}" onclick="processChanges();" labelId="procsharedprocutilLbl1"/>
		</h:panelGrid>
		
	 </h:panelGrid>
	 
	 <h:panelGrid id="sharedPanelGrid" styleClass="panelGrid" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageProcessorUIBean.shared}">
	 	
	 	<h:panelGrid id="sharedprocgrid" columns="2" width="100%" columnClasses="processorSharedCol">
			<h:panelGrid id="procunits" width="100%">
				<h:outputText id="procUnitsHeadLbl"  value="#{msg.LBL_PROCESSING_UNITS}" styleClass="headerText"/>
				<hx:outputSeparator color="#336699"/>
				<h:panelGrid columns="2">
					<vsmfaces:outputLabel id="minProcUnitslbl"  for="minProcUnits" value="#{msg.LBL_MINIMUM}" uiproperty="#{manageProcessorUIBean.minProcUnits}"/>
					<vsmfaces:inputText id="minProcUnits" uiproperty="#{manageProcessorUIBean.minProcUnits}" labelId="minProcUnitslbl" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<vsmfaces:outputLabel id="assignedProcUnitsLbl" for="assignedProcUnits" value="#{msg.LBL_ASSIGNED}" uiproperty="#{manageProcessorUIBean.assignedProcUnits}"/>
					<vsmfaces:inputText id="assignedProcUnits" uiproperty="#{manageProcessorUIBean.assignedProcUnits}" labelId="assignedProcUnitsLbl" required="true" dynamic="true" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<vsmfaces:outputLabel id="maxProcUnitsLbl"  for="maxProcUnits" value="#{msg.LBL_MAXIMUM}" uiproperty="#{manageProcessorUIBean.maxProcUnits}"/>
					<vsmfaces:inputText id="maxProcUnits" uiproperty="#{manageProcessorUIBean.maxProcUnits}" labelId="maxProcUnitsLbl" required="true" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
				</h:panelGrid>	
			</h:panelGrid>
			
			<h:panelGrid id="virtualprocessors" width="100%">
				<h:outputText id="virprocHeadLbl"  value="#{msg.LBL_VIRTUAL_PROCESSORS}" styleClass="headerText"/>
				<hx:outputSeparator color="#336699"/>
				<h:panelGrid columns="2">
					<vsmfaces:outputLabel id="minVirtualProcessorlbl"  for="minVirtualProcessors" value="#{msg.LBL_MINIMUM}" uiproperty="#{manageProcessorUIBean.minVirtualProcessors}"/>
					<vsmfaces:inputText id="minVirtualProcessors" uiproperty="#{manageProcessorUIBean.minVirtualProcessors}" labelId="minVirtualProcessorlbl" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<vsmfaces:outputLabel id="assignedVirtualProcessorLbl" for="assignedVirtualProcessors"  value="#{msg.LBL_ASSIGNED}" uiproperty="#{manageProcessorUIBean.assignedVirtualProcessors}"/>
					<vsmfaces:inputText id="assignedVirtualProcessors" uiproperty="#{manageProcessorUIBean.assignedVirtualProcessors}" labelId="assignedVirtualProcessorLbl" dynamic="true" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
					<h:outputText value=""/>
					<h:outputText value=""/>
					<vsmfaces:outputLabel id="maxVirtualProcessorLbl"  for="maxVirtualProcessors" value="#{msg.LBL_MAXIMUM}" uiproperty="#{manageProcessorUIBean.maxVirtualProcessors}"/>
					<vsmfaces:inputText id="maxVirtualProcessors" uiproperty="#{manageProcessorUIBean.maxVirtualProcessors}" labelId="maxVirtualProcessorLbl" dynamic="false" onblur="processChanges();" maxlength="9" onkeyup="processChanges();"/>
				</h:panelGrid>
			</h:panelGrid>		 	
	 	
	 	</h:panelGrid>
	 	<h:outputText value="<br>" escape="false"/>
	 	<h:panelGrid columns="2" id="pooldetailpanel">
	 		<vsmfaces:outputLabel id="sharedPoolNameLbl"  for="sharedPoolName" value="#{msg.LBL_SHARED_POOL_NAME}" uiproperty="#{manageProcessorUIBean.poolIndex}"/>
	 		<h:panelGrid>
				<vsmfaces:selectOneMenu id="sharedPoolName" uiproperty="#{manageProcessorUIBean.poolIndex}" labelId="sharedPoolNameLbl" onchange="processChanges();" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped)&& manageServerUIBean.permission)}">
			      <f:selectItems value="#{manageProcessorUIBean.sysProcessorPools}" />
			      	<hx:behavior id="procPoolBehaviour" event="onchange" behaviorAction="get;stop" target="sharedPoolName" targetAction="manageProcessorMainPanel" />
				</vsmfaces:selectOneMenu>
			</h:panelGrid>
		</h:panelGrid>	
		
		<h:panelGrid id="sharingmodepanel">
			<h:outputText id="procSharingModeLbl" value="#{msg.LBL_SHARING_MODE}" styleClass="headerText"/>
			<h:panelGrid id="sharedSectionGrid" columns="4" styleClass="columnLeftAlign">
				<vsmfaces:outputLabel id="uncappedLbl" value="#{msg.LBL_UNCAPPED}" for="procSharingMode" uiproperty="#{manageProcessorUIBean.uncapped}"/>
				<vsmfaces:selectBooleanCheckBox id="procSharingMode" uiproperty="#{manageProcessorUIBean.uncapped}" labelId="uncappedLbl" onclick="processChanges();"  dynamic="true">
			    	<hx:behavior id="procSharingModeBehaviour" event="onclick" behaviorAction="get;stop" target="procSharingMode" targetAction="sharedSectionGrid" /> 
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel id="uncappedWeightLbl"  for="uncappedWeight" value="#{msg.LBL_WEIGHT}" rendered="#{manageProcessorUIBean.uncapped.booleanValue}" uiproperty="#{manageProcessorUIBean.unCappedWeight}"/>
					<vsmfaces:inputText id="uncappedWeight" uiproperty="#{manageProcessorUIBean.unCappedWeight}" rendered="#{manageProcessorUIBean.uncapped.booleanValue}" required="true" dynamic="true" maxlength="3"  labelId="uncappedWeightLbl" onblur="processChanges();" maxlength="3" onkeyup="processChanges();">
				</vsmfaces:inputText>
			</h:panelGrid>
		</h:panelGrid>
			
		<h:panelGrid id="procCompatShrdMode" columns="2">	
			<vsmfaces:outputLabel id="procCompatibilityModeLblShrd" for="procCompatibilityModeShrd" value="#{msg.LBL_PROCESSOR_COMPATIBILITY_MODE}" uiproperty="#{manageProcessorUIBean.compatMode}"/>
			<vsmfaces:selectOneMenu id="procCompatibilityModeShrd" uiproperty="#{manageProcessorUIBean.compatMode}" labelId="procCompatibilityModeLblShrd" onchange="processChanges();" dynamic="false">
		      <f:selectItems value="#{manageProcessorUIBean.compatModes}" />
			 </vsmfaces:selectOneMenu>
			 
			 <h:outputText value=""/>
			 <h:outputText value=""/>
			
			<vsmfaces:outputLabel id="procsharedprocutilLbl2" for="procsharedprocutil2" uiproperty="#{manageProcessorUIBean.sharedPoolUtilizationAuthority}" value="#{msg.LBL_PERFORMANCE_INFORMATION_COLLECTION}"/> 
			 <vsmfaces:selectBooleanCheckBox id="procsharedprocutil2" uiproperty="#{manageProcessorUIBean.sharedPoolUtilizationAuthority}" disabled="#{!manageServerUIBean.permission}" onclick="processChanges();" labelId="procsharedprocutilLbl2"/>			
	 	</h:panelGrid>
			 
	 </h:panelGrid>	
		
	</h:panelGrid>
</h:panelGrid>
</hx:panelBox>

