<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<f:loadBundle
	basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
	var="mem_msg" />

<h:panelGrid id="memViewPageId">
	<hx:jspPanel>
		<H2 class="h2Separator">
		<h:panelGrid id="panelSectionMem" styleClass="panelGrid" columns="1" width="95%"
			cellpadding="0"
			rowClasses="sectionSeparatorText, sectionSeparatorLine">					
			<h:outputText id="memHeadId"
				value="#{mem_msg['MemoryProp.Header']}" />
			<h:outputText value="" />
		</h:panelGrid></H2>
	</hx:jspPanel>

	<h:panelGrid id="initDocPanelId" border="0">
		<pre><h:outputText id="memDesId"
			value="#{mem_msg['MemoryProp.Description']}" /></pre>
	</h:panelGrid>

	<f:verbatim>
		<br>
		<br>
	</f:verbatim>

	<h:panelGroup id="mainPanel">

		
		<!-- The Memory mode table goes here -->
		<h:panelGrid id="panelMemoryMode" border="0" columns="2"
			styleClass="panelGrid" cellspacing="0" width="60%" cellpadding="10"
			bgcolor="white">

			<h:panelGrid columns="1">
				<h:outputText value="#{mem_msg['MemoryProp.MemoryMode']}" style="font-weight: bold" />
				<h:selectOneRadio id="memoryModeRadio" value="#{memModeBean.selectedRadio}" valueChangeListener="#{memModeBean.modeChange}" layout="pageDirection">
					<f:selectItems value="#{memModeBean.radio}" />
				</h:selectOneRadio>
			</h:panelGrid>

			<h:panelGrid columns="2">
				<h:outputText id="totalSharedMemLabelId" value="#{mem_msg['MemoryProp.TotalSysMem']}"/>
				<h:outputText id="totalSharedMemValueId" value="#{memoryDataBean.totalSystemMemory} " />
				<h:outputText id="memAvailLabelId" value="#{mem_msg['MemoryProp.TotalAvailMem']}" />
				<h:outputText id="memAvailValueId" value="#{memoryDataBean.totalAvailMemory} " />
			</h:panelGrid>
		</h:panelGrid>
		<!-- The Memory mode table ends here -->


		<hx:jspPanel>
			<H2 class="h2Separator">
			<h:panelGrid id="panelSectionDedMem" styleClass="panelGrid" columns="1" width="95%"
				cellpadding="0"
				rowClasses="sectionSeparatorText, sectionSeparatorLine">					
				<h:outputText id="dedMemHeadId" style="font-weight: bold" 
					value="#{mem_msg['MemoryProp.DedicatedMem']}" />
				<h:outputText value="" />
			</h:panelGrid></H2>
		</hx:jspPanel>

		

		<h:panelGrid id="memLevelField" columns="3" styleClass="panelGrid" width="40%" >
			<h:outputText id="memPropertyHeaderId" value="#{mem_msg['MemoryProp.Property']}" style="font-weight: bold" />
			<h:outputText id="memCurrentHeaderId" value="#{mem_msg['MemoryProp.Curent']}" style="font-weight: bold" />
			<h:outputText id="memPendingHeaderId" value="#{mem_msg['MemoryProp.Pending']}" style="font-weight: bold" />
			
			
			<h:outputText id="memMinLabelId" value="#{mem_msg['MemoryProp.Min']}" />
			<h:outputText id="memCurrMinId" value="#{memoryDataBean.minMemAsStr} MB" />
			<h:outputText id="memPendMinId" value="#{memoryDataBean.minMemAsStr} MB" />
			
			<h:outputText id="memAllLabelId" value="#{mem_msg['MemoryProp.Assigned']}" />
			<h:outputText id="memCurrAllId" value="#{memoryDataBean.assignedMemAsStr} MB" />
			<h:outputText id="memPendAllId" value="#{memoryDataBean.assignedMemAsStr} MB" />
			
			
			<h:outputText id="memMaxLabelId" value="#{mem_msg['MemoryProp.Max']}" />
			<h:outputText id="memCurrMaxId" value="#{memoryDataBean.maxMemAsStr} MB" />
			<h:outputText id="memPendMaxId" value="#{memoryDataBean.maxMemAsStr} MB" />			
		</h:panelGrid>
		
		<h:panelGrid>
			<h:outputText/>
			<h:outputText/>
		</h:panelGrid>
		
		<!-- The memory pool starts here  -->

		<h:panelGrid id="panelMemPool" columns="2" styleClass="panelGrid" cellspacing="5" width="40%" rendered='#{memModeBean.selectedRadio == "Shared"}'>
			<h:outputText id="labelMemPool" styleClass="outputText" value="#{mem_msg['MemoryProp.MemoryPool']}"/>
			<h:outputText id="valueMemPool" styleClass="outputText" value="#{mem_msg['MemoryProp.DefaultPool']}"/>

			<h:outputText id="labelCustomEntMem" styleClass="outputText" value="#{mem_msg['MemoryProp.CusEntMem']}"/>
			<h:outputText id="valueCustomEntMem" styleClass="outputText" value="#{memoryDataBean.entMemStr}"/>

			<h:outputText id="labelVIOS1" styleClass="outputText" value="#{mem_msg['MemoryProp.VIOS1']}"/>
			<h:outputText id="valueVIOS1" styleClass="outputText" value="#{memoryDataBean.vios1}"/>

			<h:outputText id="labelVIOS2" styleClass="outputText" value="#{mem_msg['MemoryProp.VIOS2']}"/>
			<h:outputText id="valueVIOS2" styleClass="outputText" value="#{memoryDataBean.vios2}"/>

			<h:outputText id="labelMemCapacityWeight" styleClass="outputText" value="#{mem_msg['MemoryProp.MemCapWt']}"/>
			<h:outputText id="valueMemCapacityWeight" styleClass="outputText" value="#{memoryDataBean.memCapacityWt}"/>
		</h:panelGrid>

		<!-- The memory pool ends here  -->

		<h:panelGrid>
			<h:outputText/>
			<h:outputText/>
		</h:panelGrid>
		
		
		<!-- The Huge Page Memory Section starts here -->
		<h:panelGrid id="hugePageMemPanelGridId" columns="2" styleClass="panelGrid" cellspacing="5" width="100%" rendered='#{memModeBean.selectedRadio == "Dedicated"}'>
			<hx:panelSection initClosed="true" title="Advanced" id="panelSectionhugePageMem" styleClass="panelSectionDPSMWide">
				<f:facet name="closed">
					<hx:jspPanel>
						<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" align="bottom" border="0" hspace="0" vspace="0"/>
						<h:outputText id="hugePageMemCaption1" value="#{mem_msg['commandButton.advanced']}"></h:outputText>
					</hx:jspPanel>
				</f:facet>
				<f:facet name="opened">
					<hx:jspPanel>
						<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" align="bottom" border="0" hspace="0" vspace="0"/>
						<h:outputText id="hugePageMemCaption2" styleClass="outputText"
							value="#{mem_msg['commandButton.advanced']}"></h:outputText>
					</hx:jspPanel>
				</f:facet>
				
				<h:panelGrid>
					<h:outputText/>
					<h:outputText/>
				</h:panelGrid>
				
				<h:panelGrid rendered="#{memoryDataBean.isRPA}">
					<h:outputText id="labelPageSize" styleClass="outputText" value="Huge Pages ( #{memoryDataBean.pageSize} GB per Page ) " style="font-weight: bold" />
				</h:panelGrid>
				
				<h:outputText/>
				<h:outputText/>
				
				<h:panelGrid id="hugePageAvailField" columns="3" styleClass="panelGrid" width="25%" rendered="#{memoryDataBean.isRPA}">
					<h:outputText id="availHugePagememLabelId" value="#{mem_msg['MemoryProp.AvailHugePages']}" />
					<h:outputText id="availHugePagememValId" value="#{memoryDataBean.confgHugePageMem} " />
				</h:panelGrid>
			
				<h:outputText/>
				<h:outputText/>
				
				<h:panelGrid columns="2" width="70%">
						<!-- The new huge page section starts here -->
		
						<h:panelGrid id="hugePagememLevelField" columns="3" styleClass="panelGrid" width="85%" rendered="#{memoryDataBean.isRPA}">
							<h:outputText id="hugePagememPropertyHeaderId" value="#{mem_msg['MemoryProp.Property']}" style="font-weight: bold" />
							<h:outputText id="hugePagememCurrentHeaderId" value="#{mem_msg['MemoryProp.Curent']}" style="font-weight: bold" />
							<h:outputText id="hugePagememPendingHeaderId" value="#{mem_msg['MemoryProp.Pending']}" style="font-weight: bold" />
							
							<h:outputText id="hugePagememMinLabelId" value="#{mem_msg['MemoryProp.MinPages']}" />
							<h:outputText id="hugePagememCurrMinId" value="#{memoryDataBean.currMinHugePageMem} " />
							<h:outputText id="hugePagememPendMinId" value="#{memoryDataBean.pendMinHugePageMem} " />
							
							<h:outputText id="hugePagememAllLabelId" value="#{mem_msg['MemoryProp.AssignedPages']}" />
							<h:outputText id="hugePagememCurrAllId" value="#{memoryDataBean.currAllocHugePageMem} " />
							<h:outputText id="hugePagememPendAllId" value="#{memoryDataBean.pendAllocHugePageMem} " />
							
							<h:outputText id="hugePagememMaxLabelId" value="#{mem_msg['MemoryProp.MaxPages']}" />
							<h:outputText id="hugePagememCurrMaxId" value="#{memoryDataBean.currMaxHugePageMem} " />
							<h:outputText id="hugePagememPendMaxId" value="#{memoryDataBean.pendMaxHugePageMem} " />			
						</h:panelGrid>
						
						<!-- The new huge page section end here -->
						
						<!-- The new BSR array section starts here -->
						<h:panelGrid id="panelGeneral" columns="2" styleClass="panelGrid" cellspacing="5">
							<h:outputText id="labelPartitionName" styleClass="outputText" style="font-weight: bold" value="#{mem_msg['MemoryProp.BSR']}"/>
							<h:outputText id="bsrArrVal" value="#{memoryDataBean.selecetedBSRvalue}" style="width:100%" />
						</h:panelGrid>
						<!-- The new BSR array section starts here -->
						
				</h:panelGrid>
				
			</hx:panelSection>
		</h:panelGrid>
		<!-- The Huge Page Memory Section ends here -->
		
	</h:panelGroup>

	<h:outputText />
	<h:outputText />

	<h:commandButton value="#{msg['ProcessorProperties.Edit']}" styleClass="commandButton"  disabled="#{!memoryDataBean.isEditPossible}"
		action="#{vsmtaskNavigation.editMem}" />
		
		
	<!-- The ajax part starts here -->	
	<hx:ajaxRefreshSubmit id="ajRefresh_Mem_switch" />
	<hx:behavior id="ajBehavior_Mem_Switch"  target="memoryModeRadio" event="onclick"  behaviorAction="get;stop" targetAction="mainPanel" />
	<!-- The ajax part ends here -->	
	
		
</h:panelGrid>