<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="AddVEASubView">
	<f:loadBundle 
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />

	<h:panelGrid id="addPanelID" style="padding-right: 3cm" rendered="#{!ADDVEA.initializationError}">
	
	<!--  Expand/collapse section for General properties -->

		<hx:panelSection initClosed="false" title="#{msg['GeneralProperties.SectionTitle']}"
				id="panelSectionGeneral" styleClass="panelSectionDPSMWide">
				<f:facet name="closed">
					<h:panelGroup id="jspPanel1">
						<hx:graphicImageEx id="veaImg1"
							url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
							align="bottom" border="0" hspace="0" vspace="0" />
						<usmc:outputLabel id="caption1"
							value="#{msg['GeneralProperties.SectionTitle']}" />
					</h:panelGroup>
				</f:facet>
				<f:facet name="opened">
					<h:panelGroup id="jspPanel2">
						<hx:graphicImageEx id="veaImg2"
							url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
							align="bottom" border="0" hspace="0" vspace="0" />
						<usmc:outputLabel id="caption2" styleClass="outputText"
							value="#{msg['GeneralProperties.SectionTitle']}" />
					</h:panelGroup>
				</f:facet>
	
	
		<usmc:outputLabel id="header" styleClass="outputText"
			style="font-weight:bold" value="#{msg['AddVea.Header']}" />
		<f:verbatim><br /></f:verbatim>
		<h:panelGrid id="adapterGrid" columns="1">
			<hx:inputHelperSetFocus id="veahelperFocus" target="adapterIDValue" />
			<usmc:outputLabel id="adapterID" for="adapterIDValue"
				value="#{msg['AddVea.AdapterID']}" />
			<h:inputText id="adapterIDValue" value="#{addVeaBean.slotNumber}" required="true" 
			       maxlength="5"  tabindex="1" disabled="#{addVeaBean.addMode == false}" >
				<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['AddVea.AdapterID']}" />
			</h:inputText>

			<usmc:outputLabel id="pvEthernet" for="pvEthernetValue"
				value="#{msg['AddVea.PortVirtualEthernet']}" />
				<h:inputText id="pvEthernetValue" maxlength="4"
					value="#{addVeaBean.portVirtualEthernet}" required="true"
					tabindex="2" disabled="#{addVeaBean.addMode == false}">
					<f:converter converterId="UsmiInteger" />
					<f:attribute name="fieldName"
						value="#{msg['AddVea.PortVirtualEthernet']}" />
					<f:validateLongRange maximum="4094" minimum="1">
					</f:validateLongRange>
				</h:inputText>

			</h:panelGrid>

		<h:panelGrid id="IEEEGrid" columns="1" styleClass="panelGrid"
			cellspacing="5">

			<usmc:outputLabel id="IEEESettings" style="font-weight:bold"
				value="#{msg['AddVea.IEEESettings']}" />

			<h:panelGroup id="IEEECheck">
				<h:selectBooleanCheckbox id="isIEEECompatibleCheck"
					styleClass="selectBooleanCheckbox"
					value="#{addVeaBean.IEEECompatible}" tabindex="3"
					onchange="enableIEEE()" />
				<usmc:outputLabel id="isIEEECompatible" style="outputText"
					value="#{msg['AddVea.isIEEECompatible']}" for="isIEEECompatibleCheck"/>
			</h:panelGroup>

			<h:panelGrid id="IEEEPanel" columns="1"
				style="#{addVeaBean.ieeeCheckStyle}">
				
				<h:panelGrid id="maxVLANGrid" columns="2">
					<usmc:outputLabel id="maxVLAN" styleClass="outputText"
						value="#{msg['AddVea.maxVLANs']}" />
					<usmc:outputLabel id="maxVLANValue" styleClass="outputText"
						value="#{addVeaBean.maxVLANs}" />
				</h:panelGrid>
				
				<h:panelGrid id="additionalVLANGrid"  columns="1">
					<usmc:outputLabel id="additionalVLAN" styleClass="outputText"
						value="#{msg['AddVea.AdditionalVLANs']}" for="additionalVLANValue"/>
					<h:panelGroup id="additionalVLANGroup">
						<h:inputText id="additionalVLANValue"
						value="#{addVeaBean.additionalVLANs}" tabindex="4" >
						</h:inputText>
						<usmc:outputLabel id="VLANsExample" styleClass="outputText"
							value="#{msg['AddVea.AddtionalVLANs.Example']}" />
					</h:panelGroup>
					
				</h:panelGrid>
			</h:panelGrid>
		</h:panelGrid>
		
		<h:panelGrid id="TrunkGrid" columns="1" styleClass="panelGrid"
			cellspacing="5" rendered="#{addVeaBean.trunkPrioritySupported}">

			<usmc:outputLabel id="SharedEthernetSettings" style="font-weight:bold"
				value="#{msg['AddVea.SharedEthernetSettings']}" />

			<h:panelGroup id="EthernetCheckGroup">
				<h:selectBooleanCheckbox id="CheckEthernetBridging" 
					styleClass="selectBooleanCheckbox"
					value="#{addVeaBean.ethernetBridging}"
					onclick="enablePriority()" tabindex="4" disabled="#{addVeaBean.addMode == false }"/>
				<usmc:outputLabel id="EthernetBridging" style="outputText"
					value="#{msg['AddVea.EthernetBridging']}" for="CheckEthernetBridging"/>
			</h:panelGroup>

			<h:panelGrid id="priorityGrid" columns="3" 
				style="#{addVeaBean.priorityCheckStyle}">
				<usmc:outputLabel id="Priority" styleClass="outputText"
					value="#{msg['AddVea.Priority']}" for="PriorityValue"/>
				<h:inputText id="PriorityValue" value="#{addVeaBean.priority}" maxlength="3"
					size="3" tabindex="5" disabled="#{addVeaBean.addMode == false}">
				</h:inputText>
				<usmc:outputLabel id="priorityExample" styleClass="outputText"
					value="#{msg['AddVea.Priority.Example']}" />
			</h:panelGrid>
		</h:panelGrid>

		<h:panelGrid id="VSwitchGrid" columns="1" styleClass="panelGrid"
			cellspacing="5">

			<usmc:outputLabel id="VirtualSwitch" style="font-weight:bold"
				value="#{msg['AddVea.VirtualSwitch']}" />

			<h:panelGrid id="VSwitchListGrid" columns="1" styleClass="panelGrid"
				cellspacing="5">
				<usmc:outputLabel id="VSwitch" styleClass="outputText"
					value="#{msg['AddVea.VSwitch']}" for="VSwitchMenu"/>
				<h:selectOneMenu id="VSwitchMenu" styleClass="selectOneMenu"
					value="#{addVeaBean.virtualSwitch}" tabindex="5" disabled="#{addVeaBean.addMode == false}">
					<f:selectItems id="VSwitchItems" value="#{addVeaBean.switchList}"  />
				</h:selectOneMenu>
			</h:panelGrid>
		</h:panelGrid>
		</hx:panelSection>
	<!--  Expand/collapse section for Advanced Settings -->
			<hx:panelSection initClosed="false" title="#{msg['VEA.AdvancedSectionTitle']}"
				id="panelSection_Settings" styleClass="panelSectionDPSMWide" rendered="#{addVeaBean.vsnCapability}">
				<f:facet name="closed">
					<h:panelGroup id="jspPanel3">
						<hx:graphicImageEx id="veaImg3"
							url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
							align="bottom" border="0" hspace="0" vspace="0" />
						<usmc:outputLabel id="caption3" value="#{msg['VEA.AdvancedSectionTitle']}" /> 
					</h:panelGroup>
				</f:facet>
				<f:facet name="opened">
					<h:panelGroup id="jspPanel4">
						<hx:graphicImageEx id="veaImg4"
							url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
							align="bottom" border="0" hspace="0" vspace="0" />
						<usmc:outputLabel id="caption4" styleClass="outputText"
							value="#{msg['VEA.AdvancedSectionTitle']}" />
					</h:panelGroup>
				</f:facet>
				<h:panelGrid id="macAddressIOTable">		
				<h:panelGrid id="advancedPropPanel">
					<h:panelGrid id= "pnlMac" columns="3">
						<usmc:outputLabel id="defaultMac" value="#{msg['VEA.Mac']}" />
						<h:panelGrid id ="pnlMacValues">
							<h:panelGrid id="autoAssigned" style="#{addVeaBean.autoAssignedStyle}">
								<usmc:outputLabel id="autoAssignedValue" value="#{msg['VEA.Auto']}" />
							</h:panelGrid>
							<h:panelGrid id="override" style="#{addVeaBean.overrideStyle}">
								<usmc:outputLabel id="overrideValue" value="#{msg['VEA.Override']}" />
							</h:panelGrid>
						</h:panelGrid>
						<h:panelGrid id="pnlOverride" columns="2">
							<h:selectBooleanCheckbox id="isOverride"
								value="#{addVeaBean.isMacOverride}" valueChangeListener="#{addVeaBean.isOverrideModeChanged}" disabled="#{addVeaBean.addMode == false }"/>
							<usmc:outputLabel id="overrideVal" value="#{msg['VEA.Override']}" />
						</h:panelGrid>
					</h:panelGrid>
				</h:panelGrid>
				
				<h:panelGrid id="custMacPanel" columns="2" style="#{addVeaBean.macOverrideStyle}">
					<usmc:outputLabel id="customMac" value="#{msg['VEA.CustomMac']}" for="customMacValue" />
					<h:inputText id="customMacValue"
						value="#{addVeaBean.customMacAddress}" disabled="#{addVeaBean.addMode == false }"></h:inputText>
				</h:panelGrid>
				<!-- The ajax part starts here -->
					<hx:ajaxRefreshSubmit id="ajRefresh_IS_Override" />
					<hx:behavior id="ajBehavior_IS_Override"
						target="isOverride" event="onclick"
						behaviorAction="get;stop"
						targetAction="macAddressIOTable" />
					<!-- The ajax part ends here -->
				</h:panelGrid>

				<h:panelGrid id="pnlQoS" columns="2">
					<usmc:outputLabel id="qos" value="#{msg['VEA.QoS']}" for="selectQoSValue" />
					<h:selectOneMenu id="selectQoSValue" styleClass="selectOneMenu"
						value="#{addVeaBean.selectQoSValue}">
						<f:selectItems id="itemsQoSList" value="#{addVeaBean.selectedQoSValueList}" />
					</h:selectOneMenu>
				</h:panelGrid>

				<h:panelGrid id="pnlmacRestrictions">
					<usmc:outputLabel id="macRestrictions" styleClass="outputText"
						style="font-weight:bold" value="#{msg['VEA.MacRestrictions']}" />
				</h:panelGrid>

				<h:panelGrid id="allowedMacAddressMainPanel">
					<exfaces:selectOneRadio id="allowedMacAddress"
						value="#{addVeaBean.selectMacAddressType}" layout="pageDirection"
						valueChangeListener="#{addVeaBean.macAddressTypeModeChange}" disabled="#{addVeaBean.addMode == false }">
						<f:selectItems id="MacAddressItems" value="#{addVeaBean.selectedMacAddressType}" />
					</exfaces:selectOneRadio>
					<h:panelGrid id="allowedMacAddressPanel" columns="2"
						rendered="#{addVeaBean.enableMacPanel}">
						<usmc:outputLabel id="allowedMacAddressId" for="allowedMacAddressValueId" 
							value="#{msg['VEA.AllowedMac']}"/>
						<h:inputText id="allowedMacAddressValueId"
							value="#{addVeaBean.allowedMacAddressValue}" disabled="#{addVeaBean.addMode == false }"/>
					</h:panelGrid>
					<!-- The ajax part starts here -->
					<hx:ajaxRefreshSubmit id="ajRefresh_Allowed_MacAddress" />
					<hx:behavior id="ajBehavior_Allowed_MacAddress"
						target="allowedMacAddress" event="onclick"
						behaviorAction="get;stop"
						targetAction="allowedMacAddressMainPanel" />
					<!-- The ajax part ends here -->
					
				</h:panelGrid>		
		<f:verbatim><br /></f:verbatim>
		</hx:panelSection>
	<hx:behaviorKeyPress key="Enter" id="behaviorKeyPressVea" behaviorAction="stop" targetAction="" target="addPanelID"></hx:behaviorKeyPress>	
	</h:panelGrid>
	<h:panelGrid id="AddButtonGrid" columns="2" styleClass="panelGrid" rendered="#{addVeaBean.addMode}">
			<hx:commandExButton id="OKAddButton" value="#{msg['CommandButton.OK']}"
				action="#{ADDVEA.submit}" tabindex="6">
				<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
			</hx:commandExButton>	
			<hx:commandExButton id="CancelAddButton"
				value="#{msg['CommandButton.Cancel']}" action="#{ADDVEA.cancel}"
				immediate="true" tabindex="7">
				<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
			</hx:commandExButton>	
	</h:panelGrid>
	<h:panelGrid id="EditButtonGrid" columns="2" styleClass="panelGrid" rendered="#{addVeaBean.addMode == false}">
			<hx:commandExButton id="OKEditButton" value="#{msg['CommandButton.OK']}"
				action="#{EDITVEA.submit}" tabindex="6">
				<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
			</hx:commandExButton>	
			<hx:commandExButton id="CancelEditButton"
				value="#{msg['CommandButton.Cancel']}" action="#{EDITVEA.cancel}"
				immediate="true" tabindex="7">
				<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
			</hx:commandExButton>	
	</h:panelGrid>
	<h:panelGrid rendered="#{ADDVEA.initializationError}" id="errorPanel">
	<usmc:outputLabel value="#{ADDVEA.initializationErrorMsg}" id="errorText"/>
	<f:verbatim> <br /> </f:verbatim>
	<hx:commandExButton id="error_close_button" value="#{msg['CommandButton.Close']}" 	action="#{ADDVEA.cancel}" >
		<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
	</hx:commandExButton>
	</h:panelGrid>	
</f:subview>