<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="viewVEASubView">
<f:loadBundle basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" var="msg" />


	<!--  Expand/collapse section for General properties -->

	<hx:panelSection initClosed="false"
		title="#{msg['GeneralProperties.SectionTitle']}"
		id="panelSectionGeneral" styleClass="panelSectionDPSMWide">
		<f:facet name="closed">
			<h:panelGroup id="jspPanel1">
				<hx:graphicImageEx id="veaImg1"
					url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
					align="bottom" border="0" hspace="0" vspace="0" />
				<usmc:outputLabel id="caption1"
					value="#{msg['GeneralProperties.SectionTitle']}" />
			</h:panelGroup>
		</f:facet>
		<f:facet name="opened">
			<h:panelGroup id="jspPanel2">
				<hx:graphicImageEx id="veaImg2"
					url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
					align="bottom" border="0" hspace="0" vspace="0" />
				<usmc:outputLabel id="caption2" styleClass="outputText"
					value="#{msg['GeneralProperties.SectionTitle']}" />
			</h:panelGroup>
		</f:facet>

		<h:panelGrid id="headerGrid" columns="2" styleClass="panelGrid"
			cellspacing="5" cellpadding="10">

			<usmc:outputLabel id="adapterID" for="adapterIDValue"
				value="#{msg['AddVea.AdapterID']}" />
			<usmc:outputLabel id="adapterIDValue" value="#{veaBean.slotNumber}" />

			<usmc:outputLabel id="pvEthernet" for="pvEthernetValue"
				value="#{msg['AddVea.PortVirtualEthernet']}" />
			<usmc:outputLabel id="pvEthernetValue"
				value="#{veaBean.portVirtualEthernet}" />

			<usmc:outputLabel id="isIEEECompatible"
				value="#{msg['AddVea.isIEEECompatible']}" />
			<usmc:outputLabel id="isIEEECompatibleValue"
				value="#{veaBean.IEEECompatible}" />

			<usmc:outputLabel id="additionalVLAN"
				value="#{msg['AddVea.AdditionalVLANs']}" />
			<usmc:outputLabel id="additionalVLANValue"
				value="#{veaBean.additionalVLANs}" />

			<usmc:outputLabel id="EthernetBridging"
				value="#{msg['VEA.EthernetUsage']}" />
			<usmc:outputLabel id="EthernetBridgingValue"
				value="#{veaBean.ethernetBridging}" />

			<usmc:outputLabel id="Priority" value="#{msg['AddVea.Priority']}" />
			<usmc:outputLabel id="PriorityValue" value="#{veaBean.priority}" />

			<usmc:outputLabel id="VSwitch" value="#{msg['AddVea.VSwitch']}" />
			<usmc:outputLabel id="VSwitchValue" value="#{veaBean.virtualSwitch}" />

		</h:panelGrid>
		<f:verbatim>
			<br />
		</f:verbatim>

	</hx:panelSection>

	<!--  Expand/collapse section for Advanced Settings -->
	<hx:panelSection initClosed="false"
		title="#{msg['VEA.AdvancedSectionTitle']}" id="panelSection_Settings"
		styleClass="panelSectionDPSMWide"
		rendered="#{addVeaBean.vsnCapability}">
		<f:facet name="closed">
			<h:panelGroup id="jspPanel3">
				<hx:graphicImageEx id="veaImg3"
					url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
					align="bottom" border="0" hspace="0" vspace="0" />
				<usmc:outputLabel id="caption3"
					value="#{msg['VEA.AdvancedSectionTitle']}" />
			</h:panelGroup>
		</f:facet>
		<f:facet name="opened">
			<h:panelGroup id="jspPanel4">
				<hx:graphicImageEx id="veaImg4"
					url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
					align="bottom" border="0" hspace="0" vspace="0" />
				<usmc:outputLabel id="caption4" styleClass="outputText"
					value="#{msg['VEA.AdvancedSectionTitle']}" />
			</h:panelGroup>
		</f:facet>

		<h:panelGrid columns="2">

			<h:outputText id="defaultMac" value="#{msg['VEA.MacAddress']}" />
			<h:outputText id="defaultMacValue"
				value="#{veaBean.customMacAddress}" />

			<h:outputText id="qos" value="#{msg['VEA.QoS']}" />
			<h:outputText id="qosValue" value="#{veaBean.selectQoSValue}" />

			<h:outputText id="macRestrictions"
				value="#{msg['VEA.MacRestrictions']}" />
			<h:outputText id="macRestrictions1"
				rendered="#{veaBean.selectMacAddressType=='0'}"
				value="#{msg['VEA.AllowMac']}" />
			<h:outputText id="macRestrictions2"
				rendered="#{veaBean.selectMacAddressType=='1'}"
				value="#{msg['VEA.DenyMac']}" />
			<h:outputText id="macRestrictions3"
				rendered="#{veaBean.selectMacAddressType=='2'}"
				value="#{msg['VEA.SpecifiedMac']}" />

			<h:outputText id="allowedMac"
				rendered="#{veaBean.selectMacAddressType=='2'}"
				value="#{msg['VEA.AllowedMac']}" />
			<h:outputText id="allowedMacValue"
				rendered="#{veaBean.selectMacAddressType=='2'}"
				value="#{veaBean.allowedMacAddressValue}" />


		</h:panelGrid>

	</hx:panelSection>
	<f:verbatim>
				<br />
			</f:verbatim>
	
	<hx:commandExButton id="closeButton" value="#{msg['CommandButton.Close']}" action="#{VIEWVEA.cancel}">
	   <hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
	</hx:commandExButton>
	
</f:subview>


