<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<h:panelGrid id="panelGeneral1" columns="1" styleClass="panelGrid"
	cellspacing="5" width="100%">
	<h:outputText styleClass="outputText" style="font-weight: bold"
		value="#{msg['Welcome.Page.Heading1']}:" />

	<h:panelGrid id="panelGeneral4" columns="1" styleClass="panelGrid">
		<h:panelGroup id="box3">
			<h:outputText styleClass="outputText"
				value="<li>#{msg['Welcome.Page.Task1']}</li>" escape="false" />
			<h:outputText styleClass="outputText"
				value="<li>#{msg['Welcome.Page.Task2']}</li>" escape="false" />
		</h:panelGroup>
		<h:panelGroup id="box8">
			<h:graphicImage url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif" alt="F1" />
			<h:outputText escape="false" value="&nbsp;"/>
			<hx:outputLinkEx id="hmcTransition_learnMoreLink"
				styleClass="outputLink">
				<h:outputText id="hmcTransition_learnMoreText"
					value="#{msg['Learn.HMC.DPSM.Transition']}" />
				<hx:behavior id="hmcTransition_learnMoreLinkBehavior"
					behaviorAction="CLICK;STOP"
					targetAction="hmcTransition_learnMoreButton" event="onclick" />
			</hx:outputLinkEx>
			<hx:commandExButton type="submit" style="display:none"
				id="hmcTransition_learnMoreButton"
				actionListener="#{transitionBean.learnMoreLinkHandler}">
				<hx:behavior id="hmcTransition_learnMoreButtonBehavior"
					behaviorAction="GET;STOP"
					targetAction="#{transitionBean.helpLinkTargetAction}"
					event="onclick" />
			</hx:commandExButton>
		</h:panelGroup>
	</h:panelGrid>
	<f:verbatim>
		<br />
	</f:verbatim>
</h:panelGrid>

<h:panelGrid id="panelGeneral2" columns="1" styleClass="panelGrid"
	cellspacing="5" width="100%">
	<h:outputText styleClass="outputText" style="font-weight: bold"
		value="#{msg['Before.Begin.label']}" />
</h:panelGrid>

<h:panelGrid id="panelGeneral3" columns="1" styleClass="panelGrid"
	cellspacing="5" width="100%">
	<h:outputText styleClass="outputText"
		value="&nbsp;&nbsp;#{msg['version.label']}" escape="false" />

	<h:panelGrid id="panelGeneral5" columns="1" styleClass="panelGrid">
		<h:panelGroup id="box1">
			<h:outputText styleClass="outputText"
				value="&nbsp;&nbsp;#{msg['environment.label1']} " escape="false" />
			<h:outputText styleClass="outputText" style="font-weight: bold"
				value="#{msg['environment.label2']}:" />
		</h:panelGroup>
		<h:panelGroup id="box5">
			<h:outputText styleClass="outputText"
				value="<li>#{msg['environment.label3']}</li>" escape="false" />
			<h:outputText styleClass="outputText"
				value="<li>#{msg['environment.label4']}</li>" escape="false" />
		</h:panelGroup>
		<h:panelGroup id="box9">
			<h:graphicImage url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif" alt="F1" />
			<h:outputText escape="false" value="&nbsp;"/>
			<hx:outputLinkEx id="sshAccess_learnMoreLink" styleClass="outputLink">
				<h:outputText id="sshAccess_learnMoreText"
					value="#{msg['Learn.Ssh.Access']}" />
				<hx:behavior id="sshAccess_learnMoreLinkBehavior"
					behaviorAction="CLICK;STOP"
					targetAction="sshAccess_learnMoreButton" event="onclick" />
			</hx:outputLinkEx>
			<hx:commandExButton type="submit" style="display:none"
				id="sshAccess_learnMoreButton"
				actionListener="#{transitionBean.learnMoreLinkHandler}">
				<hx:behavior id="sshAccess_learnMoreButtonBehavior"
					behaviorAction="GET;STOP"
					targetAction="#{transitionBean.helpLinkTargetAction}"
					event="onclick" />
			</hx:commandExButton>
		</h:panelGroup>
	</h:panelGrid>

	<h:panelGrid id="panelGeneral6" columns="1" styleClass="panelGrid">
		<h:panelGroup id="box2">
			<h:outputText styleClass="outputText"
				value="&nbsp;&nbsp;#{msg['environment.label5']} " escape="false" />
			<h:outputText styleClass="outputText" style="font-weight: bold"
				value="#{msg['offline.label']}:" />
		</h:panelGroup>

		<h:panelGroup id="box7">
			<h:outputText styleClass="outputText"
				value="<li>#{msg['Prerequisites.label']}</li>" escape="false" />
		</h:panelGroup>
		<h:panelGroup id="box10">
			<h:graphicImage url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif" alt="F1" />
			<h:outputText escape="false" value="&nbsp;"/>
			<hx:outputLinkEx id="hmcExpData_learnMoreLink"
				styleClass="outputLink">
				<h:outputText id="hmcExpData_learnMoreText"
					value="#{msg['Learn.Export.Data']}" />
				<hx:behavior id="hmcExpData_learnMoreLinkBehavior"
					behaviorAction="CLICK;STOP"
					targetAction="hmcExpData_learnMoreButton" event="onclick" />
			</hx:outputLinkEx>
			<hx:commandExButton type="submit" style="display:none"
				id="hmcExpData_learnMoreButton"
				actionListener="#{transitionBean.learnMoreLinkHandler}">
				<hx:behavior id="hmcExpData_learnMoreButtonBehavior"
					behaviorAction="GET;STOP"
					targetAction="#{transitionBean.helpLinkTargetAction}"
					event="onclick" />
			</hx:commandExButton>
		</h:panelGroup>
	</h:panelGrid>
</h:panelGrid>

