/*
 ================================================================================================== 
 * Licensed Material - Property of IBM
 * OCO Source Materials
 *
 * System Plan Viewer V1R1.1
 *
 * (C) Copyright IBM Corp. 2007.
 *
 * The source code for this program is not published or otherwise divested of its trade secrets
 * irrespective of what has been deposited with the U.S. Copyright office.
 *
 ==================================================================================================
*/
var _referencedClassName = "wclTableSelectedData";
var _selectedClassName = "wclTableDataAlpha";
var _unselectedClassName = "wclTableData";

var _selectedObject = null;
var _referencedObject = null;

var _tableThreadKey = "";

function printFrame(frame){
  frame.focus();
  frame.print();
}

// Remove any existing "comments=" arg
function cleanURLComments (url) {
   var i = url.indexOf('&comments=')
   if (i != -1) {
      var j = url.indexOf('&', i + 1)
      if (j == -1)
         url = url.substring(0, i)
      else
         url = url.substring(0, i) + url.substring(j)
   }
   return url
}

var showComments = false;
// These vars are set by nav frame (to keep display text out of this script)
var showCommentHTML  = "";
var showCommentHover = "";
var hideCommentHTML  = "";
var hideCommentHover = "";

var collapseHTML  = "";
var collapseHover = "";
var expandHTML  = "";
var expandHover = "";

var showTextReport = false;
var textReportHTML = "";
var defaultReportHTML = "";
var textReportHover = "";
var defaultReportHover = "";
// stores the last query string that was passed from the nav
// so we can track where we last left off, note: this also
// gets initially set from index.jsp
var lastQueryString = "";
var saveButtonHTML = "";
var saveButtonHover = "";

function toggleComment() {
  var e = footer.document.getElementById('comment');
  // Update nav link and add new arg to main frame URL
  if (showComments) {
    e.value = showCommentHTML;
    e.title = showCommentHover;
    var commentEle = main.document.getElementById('unitComments');
    if (commentEle != null) {
      commentEle.className="collapsed";
    }
  }
  else {
    e.value = hideCommentHTML;
    e.title = hideCommentHover;
    var commentEle = main.document.getElementById('unitComments');
    if (commentEle != null) {
      commentEle.className="expanded";
    }
  }
  showComments = !showComments;
  if (showTextReport) {
    // If showing text report, refresh main frame
    main.location = lastQueryString + "&comments=" + showComments
  }
  else {

    // Send AJAX request from main frame (he will get the callback)
    main.sendRequest("view?action=tablesort&threadKey=" + _tableThreadKey + "&comments=" + showComments);
  }
}

function expandCollapse() {
	  var e = footer.document.getElementById('expandcollapse');
	  // Update nav link and add new arg to main frame URL
	  var expanded = footer.document.getElementById('expanded').value == 'true';
	  if (expanded) {
	    e.value = collapseHTML;
	    e.title = collapseHover;
	    
	  }
	  else {
	    e.value = expandHTML;
	    e.title = expandHover;
	    
	  }
	  setImagesState();
	  expanded = !expanded;
	  footer.document.getElementById('expanded').value = expanded;
}


function setImagesState(){
	var allDrives = main.document.getElementById('allDrivesCommaDel');
	var expanded = footer.document.getElementById('expanded').value == 'true';
	  if(allDrives != null) {
		  var drives = allDrives.value.split(',');
		  if(expanded) {
			  for(var i=0; i<drives.length; i++) {
				  if(drives[i].match('hdwDrive')) {
					  collapseHardwareImage(main.document.getElementById(drives[i]), 'hdwDrive');
				  } else {
					  collapseHardwareImage(main.document.getElementById(drives[i]), 'hdwPCI');
				  }
			  }
		  } else {
			  for(var i=0; i<drives.length; i++) {
				  if(drives[i].match('hdwDrive')) {
					  expandHardwareImage(main.document.getElementById(drives[i]), 'hdwDrive');
				  } else {
					  expandHardwareImage(main.document.getElementById(drives[i]), 'hdwPCI');
				  }
			  }
		  }
	  }
}

function setImagesStateLocally() {
	//If the page is not ready return.
	try {
		parent.footer.document.getElementById('expanded').value;
	}catch (e) {
		// In case of exception call this method again after a delay
		// so that the page gets fully loaded.
		window.setTimeout("setImagesStateLocally()",500);
		return;
	}
	var expanded = parent.footer.document.getElementById('expanded').value == 'true';

	var allDrives = parent.main.document.getElementById('allDrivesCommaDel');
	  if(allDrives != null) {
		  var drives = allDrives.value.split(',');
		  if(!expanded) {
			  for(var i=0; i<drives.length; i++) {
				  if(drives[i].match('hdwDrive')) {
					  collapseHardwareImage(parent.main.document.getElementById(drives[i]), 'hdwDrive');
				  } else {
					  collapseHardwareImage(parent.main.document.getElementById(drives[i]), 'hdwPCI');
				  }
			  }
		  } else {
			  for(var i=0; i<drives.length; i++) {
				  if(drives[i].match('hdwDrive')) {
					  expandHardwareImage(parent.main.document.getElementById(drives[i]), 'hdwDrive');
				  } else {
					  expandHardwareImage(parent.main.document.getElementById(drives[i]), 'hdwPCI');
				  }
			  }
		  }
	  }
}


function toggleReportType() {
  var repT = footer.document.getElementById('reportType');
  var repS = footer.document.getElementById('reportSave');
  if (!showTextReport) {
    repT.value = defaultReportHTML;
    repT.title = defaultReportHover;
    repS.style.display=""
  }
  else {
    repT.value = textReportHTML;
    repT.title = textReportHover;
    repS.style.display="none"
  }
  showTextReport = !showTextReport
  main.location = lastQueryString + "&text=" + showTextReport
}

function saveReport() {
  var saveQS = lastQueryString + "&text=true&dowloadToFile=true";
  main.location = saveQS;
}

function saveExpandCollapseState() {
	parent.footer.document.forms["expandStateform"].submit();
}

var lastCurrent;

function toggleDisplay(current, queryStr) {
  if (!current) return false;
  var children = current.childNodes;

  for (var i=0;i<children.length;i++) {
    if (children[i].nodeName=="SPAN") {
      children[i].className = "highlightNode";
    }
  }

  if (lastCurrent && lastCurrent != current) {
    var lastChildren = lastCurrent.childNodes;
    for (var i=0;i<lastChildren.length;i++) {
      if (lastChildren[i].nodeName=="SPAN") {
        lastChildren[i].className = "unhighlightNode";
      }
    }
  }

  lastCurrent = current;
  parent.lastQueryString = queryStr;
  parent.main.location = queryStr;
}


function highlightRow(thisObj,selectedClass) {
  if (thisObj != null) {
    var cells = thisObj.parentNode.parentNode.childNodes;
    if (cells != null) {
      for (var i=0; i < cells.length; i++) {
        cells[i].className = selectedClass;
      }
    }
  }
}

function highlightRows(thisObj,referencedObjectName) {
  var alreadyHighlighted = false;
  if (_selectedObject != null && _referencedObject != null) {
    highlightRow(_selectedObject,_unselectedClassName);
    highlightRow(_referencedObject,_unselectedClassName);
    if (thisObj.id == _selectedObject.id) {
      alreadyHighlighted = true;
    }
    _selectedObject = null;
    _referencedObject = null;
  }

  if (!alreadyHighlighted) {
    _referencedObject = document.getElementById(referencedObjectName);
    _selectedObject = thisObj;
    highlightRow(_selectedObject,_selectedClassName);
    highlightRow(_referencedObject,_referencedClassName);
  }
}
  function closeContainerInit(control) {
    control.closeContainer=closeContainer;
    control.closeContainer();
  }
  function openContainerInit(control) {
    control.openContainer=openContainer;
    control.openContainer();
  }
  function openContainer() {
    var children = this.parentNode.childNodes;
       for (var i=0;i<children.length;i++) {
         if (children[i].nodeName=="UL") children[i].className="expanded";
       }
       this.src="img/common/minus.gif";
       imageArray=new Array();
       imageArray[0]=this;
       this.onclick=closeContainer;
  }
  function closeContainer() {
       var children = this.parentNode.childNodes;
       for (var i=0;i<children.length;i++) {
           if (children[i].nodeName=="UL") children[i].className="collapsed";
       }
       this.src="img/common/plus.gif";
       imageArray=new Array();
       imageArray[0]=this;
       this.onclick=openContainer;
  }

  function sortTable(groupID, columnName, sortType, threadKey, tableID) {
    //if this table doesn't have a state for the image yet, default it to expand (1)
    if (unitImageState[groupID] == null || columnName == "") {
      unitImageState[groupID] = true;
    }
    sendRequest("view?action=tablesort&groupID="+groupID+"&columnName="+columnName+"&sortType="+sortType+"&threadKey="+threadKey+"&tableID="+tableID+"&displayUnitImage="+unitImageState[groupID])
  }

  function sendRequest(url) {
    var req = null
    if (window.XMLHttpRequest)
      req = new XMLHttpRequest()
    else if (window.ActiveXObject)
      req = new ActiveXObject("Microsoft.XMLHTTP")
    if (req) {
      req.onreadystatechange = function (aEvt) { requestCallback(req) }
      req.open("GET", url, true)
      req.send(null)
    }
  }

  function requestCallback(req) {
    if (req.readyState != 4 || req.status != 200)
      return
    var tables = req.responseXML.getElementsByTagName("TABLE")
    for (var i = 0; i < tables.length; ++i) {
      var tableID = tables[i].getAttribute("id")
      var htmlTableElement = document.getElementById(tableID)
      if (htmlTableElement == null && tableID.indexOf("META:") != 0)
        continue
      var divID = tableID + "__div__"
      var xmlChildNodes = tables[i].childNodes
      for (var j = 0; j < xmlChildNodes.length; ++j) {
        if (xmlChildNodes[j].nodeType != 4) // 4 = Node.CDATA_SECTION_NODE
          continue
        // A replacement table coming in
        if (htmlTableElement != null) {
          var curNode = htmlTableElement
          while (curNode.getAttribute("id") != divID)
            curNode = curNode.parentNode
          curNode.innerHTML = xmlChildNodes[j].nodeValue
        }
        // JavaScript to run!
        else if (tableID == "META:JavaScript")
          eval(xmlChildNodes[j].nodeValue)
        // Table response chaining (to keep size of single response down)
        else if (tableID == "META:Chain") {
          var chainID = xmlChildNodes[j].nodeValue
          // Include a unique dummy arg on request, to work around IE's odd behavior of using cached response
          var today = new Date()
          sendRequest("view?action=tablesort&chainID=" + chainID + "&dummy=" + today.getTime())
        }
      }
    }
  }

  var unitImageState = new Array();
  function toggleHardwareImage(node, groupID) {
    // Unfold the branch if it isn't visible
    if (node.nextSibling.style.display == 'none') {
      node.childNodes.item(0).src = "img/common/minus.gif";
      node.nextSibling.style.display = 'block';
      unitImageState[groupID] = true;     
    }
    // Collapse the branch if it IS visible
    else {
      // Change the image (if there is an image)
      if (node.childNodes.length > 0) {
        node.childNodes.item(0).src = "img/common/plus.gif";
      }
      node.nextSibling.style.display = 'none';
      unitImageState[groupID] = false;
    }
  }
  
  function collapseHardwareImage(node, groupID) {
	  if (node.nextSibling.style.display != 'none') {
		  // Change the image (if there is an image)
	      if (node.childNodes.length > 0) {
	        node.childNodes.item(0).src = "img/common/plus.gif";
	      }
	      node.nextSibling.style.display = 'none';
	      unitImageState[groupID] = false;
	  }	
  }
  
  function expandHardwareImage(node, groupID) {
    // Unfold the branch if it isn't visible
    if (node.nextSibling.style.display == 'none') {
      node.childNodes.item(0).src = "img/common/minus.gif";
      node.nextSibling.style.display = 'block';
      unitImageState[groupID] = true; 
    }
  }
  
  
